openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.Model

Contents

- Parameter newtypes
  - AdditionalMetadata
  - ApiKey
  - Body
  - BodyBool
  - BodyText
  - Byte
  - Callback
  - EnumFormString
  - EnumFormStringArray
  - EnumHeaderString
  - EnumHeaderStringArray
  - EnumQueryDouble
  - EnumQueryInteger
  - EnumQueryString
  - EnumQueryStringArray
  - File2
  - Int32
  - Int64
  - Name2
  - Number
  - OrderId
  - OrderIdText
  - Param
  - Param2
  - ParamBinary
  - ParamDate
  - ParamDateTime
  - ParamDouble
  - ParamFloat
  - ParamInteger
  - ParamString
  - Password
  - PatternWithoutDelimiter
  - PetId
  - Query
  - RequestBody
  - RequiredFile
  - Status
  - StatusText
  - Tags
  - User2
  - Username
- Models
  - AdditionalPropertiesClass
  - Animal
  - AnimalFarm
  - ApiResponse
  - ArrayOfArrayOfNumberOnly
  - ArrayOfNumberOnly
  - ArrayTest
  - Capitalization
  - Cat
  - Category
  - ClassModel
  - Client
  - Dog
  - EnumArrays
  - EnumTest
  - File
  - FileSchemaTestClass
  - FormatTest
  - HasOnlyReadOnly
  - MapTest
  - MixedPropertiesAndAdditionalPropertiesClass
  - Model200Response
  - ModelList
  - ModelReturn
  - Name
  - NumberOnly
  - Order
  - OuterComposite
  - Pet
  - ReadOnlyFirst
  - SpecialModelName
  - StringBooleanMap
  - Tag
  - User
- Enums
  - E'ArrayEnum
  - E'EnumFormString
  - E'EnumFormStringArray
  - E'EnumInteger
  - E'EnumNumber
  - E'EnumQueryInteger
  - E'EnumString
  - E'Inner
  - E'JustSymbol
  - E'Status
  - E'Status2
  - EnumClass
  - OuterEnum
- Auth Methods
  - AuthApiKeyApiKey
  - AuthApiKeyApiKeyQuery
  - AuthBasicHttpBasicTest
  - AuthOAuthPetstoreAuth

Description

Synopsis

- newtype AdditionalMetadata = AdditionalMetadata {
  - unAdditionalMetadata :: Text
  }
- newtype ApiKey = ApiKey {
  - unApiKey :: Text
  }
- newtype Body = Body {
  - unBody :: Double
  }
- newtype BodyBool = BodyBool {
  - unBodyBool :: Bool
  }
- newtype BodyText = BodyText {
  - unBodyText :: Text
  }
- newtype Byte = Byte {
  - unByte :: ByteArray
  }
- newtype Callback = Callback {
  - unCallback :: Text
  }
- newtype EnumFormString = EnumFormString {
  - unEnumFormString :: E'EnumFormString
  }
- newtype EnumFormStringArray = EnumFormStringArray {
  - unEnumFormStringArray :: [E'EnumFormStringArray]
  }
- newtype EnumHeaderString = EnumHeaderString {
  - unEnumHeaderString :: E'EnumFormString
  }
- newtype EnumHeaderStringArray = EnumHeaderStringArray {
  - unEnumHeaderStringArray :: [E'EnumFormStringArray]
  }
- newtype EnumQueryDouble = EnumQueryDouble {
  - unEnumQueryDouble :: E'EnumNumber
  }
- newtype EnumQueryInteger = EnumQueryInteger {
  - unEnumQueryInteger :: E'EnumQueryInteger
  }
- newtype EnumQueryString = EnumQueryString {
  - unEnumQueryString :: E'EnumFormString
  }
- newtype EnumQueryStringArray = EnumQueryStringArray {
  - unEnumQueryStringArray :: [E'EnumFormStringArray]
  }
- newtype File2 = File2 {
  - unFile2 :: FilePath
  }
- newtype Int32 = Int32 {
  - unInt32 :: Int
  }
- newtype Int64 = Int64 {
  - unInt64 :: Integer
  }
- newtype Name2 = Name2 {
  - unName2 :: Text
  }
- newtype Number = Number {
  - unNumber :: Double
  }
- newtype OrderId = OrderId {
  - unOrderId :: Integer
  }
- newtype OrderIdText = OrderIdText {
  - unOrderIdText :: Text
  }
- newtype Param = Param {
  - unParam :: Text
  }
- newtype Param2 = Param2 {
  - unParam2 :: Text
  }
- newtype ParamBinary = ParamBinary {
  - unParamBinary :: FilePath
  }
- newtype ParamDate = ParamDate {
  - unParamDate :: Date
  }
- newtype ParamDateTime = ParamDateTime {
  - unParamDateTime :: DateTime
  }
- newtype ParamDouble = ParamDouble {
  - unParamDouble :: Double
  }
- newtype ParamFloat = ParamFloat {
  - unParamFloat :: Float
  }
- newtype ParamInteger = ParamInteger {
  - unParamInteger :: Int
  }
- newtype ParamString = ParamString {
  - unParamString :: Text
  }
- newtype Password = Password {
  - unPassword :: Text
  }
- newtype PatternWithoutDelimiter = PatternWithoutDelimiter {
  - unPatternWithoutDelimiter :: Text
  }
- newtype PetId = PetId {
  - unPetId :: Integer
  }
- newtype Query = Query {
  - unQuery :: Text
  }
- newtype RequestBody = RequestBody {
  - unRequestBody :: Map String Text
  }
- newtype RequiredFile = RequiredFile {
  - unRequiredFile :: FilePath
  }
- newtype Status = Status {
  - unStatus :: [E'Status2]
  }
- newtype StatusText = StatusText {
  - unStatusText :: Text
  }
- newtype Tags = Tags {
  - unTags :: [Text]
  }
- newtype User2 = User2 {
  - unUser2 :: [User]
  }
- newtype Username = Username {
  - unUsername :: Text
  }
- data AdditionalPropertiesClass = AdditionalPropertiesClass {
  - additionalPropertiesClassMapProperty :: !(Maybe (Map String Text))
  - additionalPropertiesClassMapOfMapProperty :: !(Maybe (Map String (Map String Text)))
  }
- mkAdditionalPropertiesClass :: AdditionalPropertiesClass
- data Animal = Animal {
  - animalClassName :: !Text
  - animalColor :: !(Maybe Text)
  }
- mkAnimal :: Text -> Animal
- data AnimalFarm = AnimalFarm {
  }
- mkAnimalFarm :: AnimalFarm
- data ApiResponse = ApiResponse {
  - apiResponseCode :: !(Maybe Int)
  - apiResponseType :: !(Maybe Text)
  - apiResponseMessage :: !(Maybe Text)
  }
- mkApiResponse :: ApiResponse
- data ArrayOfArrayOfNumberOnly = ArrayOfArrayOfNumberOnly {
  - arrayOfArrayOfNumberOnlyArrayArrayNumber :: !(Maybe [[Double]])
  }
- mkArrayOfArrayOfNumberOnly :: ArrayOfArrayOfNumberOnly
- data ArrayOfNumberOnly = ArrayOfNumberOnly {
  - arrayOfNumberOnlyArrayNumber :: !(Maybe [Double])
  }
- mkArrayOfNumberOnly :: ArrayOfNumberOnly
- data ArrayTest = ArrayTest {
  - arrayTestArrayOfString :: !(Maybe [Text])
  - arrayTestArrayArrayOfInteger :: !(Maybe [[Integer]])
  - arrayTestArrayArrayOfModel :: !(Maybe [[ReadOnlyFirst]])
  }
- mkArrayTest :: ArrayTest
- data Capitalization = Capitalization {
  - capitalizationSmallCamel :: !(Maybe Text)
  - capitalizationCapitalCamel :: !(Maybe Text)
  - capitalizationSmallSnake :: !(Maybe Text)
  - capitalizationCapitalSnake :: !(Maybe Text)
  - capitalizationScaEthFlowPoints :: !(Maybe Text)
  - capitalizationAttName :: !(Maybe Text)
  }
- mkCapitalization :: Capitalization
- data Cat = Cat {
  - catClassName :: !Text
  - catColor :: !(Maybe Text)
  - catDeclawed :: !(Maybe Bool)
  }
- mkCat :: Text -> Cat
- data Category = Category {
  - categoryId :: !(Maybe Integer)
  - categoryName :: !(Maybe Text)
  }
- mkCategory :: Category
- data ClassModel = ClassModel {
  - classModelClass :: !(Maybe Text)
  }
- mkClassModel :: ClassModel
- data Client = Client {
  - clientClient :: !(Maybe Text)
  }
- mkClient :: Client
- data Dog = Dog {
  - dogClassName :: !Text
  - dogColor :: !(Maybe Text)
  - dogBreed :: !(Maybe Text)
  }
- mkDog :: Text -> Dog
- data EnumArrays = EnumArrays {
  - enumArraysJustSymbol :: !(Maybe E'JustSymbol)
  - enumArraysArrayEnum :: !(Maybe [E'ArrayEnum])
  }
- mkEnumArrays :: EnumArrays
- data EnumTest = EnumTest {
  - enumTestEnumString :: !(Maybe E'EnumString)
  - enumTestEnumStringRequired :: !E'EnumString
  - enumTestEnumInteger :: !(Maybe E'EnumInteger)
  - enumTestEnumNumber :: !(Maybe E'EnumNumber)
  - enumTestOuterEnum :: !(Maybe OuterEnum)
  }
- mkEnumTest :: E'EnumString -> EnumTest
- data File = File {
  - fileSourceUri :: !(Maybe Text)
  }
- mkFile :: File
- data FileSchemaTestClass = FileSchemaTestClass {
  - fileSchemaTestClassFile :: !(Maybe File)
  - fileSchemaTestClassFiles :: !(Maybe [File])
  }
- mkFileSchemaTestClass :: FileSchemaTestClass
- data FormatTest = FormatTest {
  - formatTestInteger :: !(Maybe Int)
  - formatTestInt32 :: !(Maybe Int)
  - formatTestInt64 :: !(Maybe Integer)
  - formatTestNumber :: !Double
  - formatTestFloat :: !(Maybe Float)
  - formatTestDouble :: !(Maybe Double)
  - formatTestString :: !(Maybe Text)
  - formatTestByte :: !ByteArray
  - formatTestBinary :: !(Maybe FilePath)
  - formatTestDate :: !Date
  - formatTestDateTime :: !(Maybe DateTime)
  - formatTestUuid :: !(Maybe Text)
  - formatTestPassword :: !Text
  }
- mkFormatTest :: Double -> ByteArray -> Date -> Text -> FormatTest
- data HasOnlyReadOnly = HasOnlyReadOnly {
  - hasOnlyReadOnlyBar :: !(Maybe Text)
  - hasOnlyReadOnlyFoo :: !(Maybe Text)
  }
- mkHasOnlyReadOnly :: HasOnlyReadOnly
- data MapTest = MapTest {
  - mapTestMapMapOfString :: !(Maybe (Map String (Map String Text)))
  - mapTestMapOfEnumString :: !(Maybe (Map String E'Inner))
  - mapTestDirectMap :: !(Maybe (Map String Bool))
  - mapTestIndirectMap :: !(Maybe StringBooleanMap)
  }
- mkMapTest :: MapTest
- data MixedPropertiesAndAdditionalPropertiesClass = MixedPropertiesAndAdditionalPropertiesClass {
  - mixedPropertiesAndAdditionalPropertiesClassUuid :: !(Maybe Text)
  - mixedPropertiesAndAdditionalPropertiesClassDateTime :: !(Maybe DateTime)
  - mixedPropertiesAndAdditionalPropertiesClassMap :: !(Maybe (Map String Animal))
  }
- mkMixedPropertiesAndAdditionalPropertiesClass :: MixedPropertiesAndAdditionalPropertiesClass
- data Model200Response = Model200Response {
  - model200ResponseName :: !(Maybe Int)
  - model200ResponseClass :: !(Maybe Text)
  }
- mkModel200Response :: Model200Response
- data ModelList = ModelList {
  - modelList123list :: !(Maybe Text)
  }
- mkModelList :: ModelList
- data ModelReturn = ModelReturn {
  - modelReturnReturn :: !(Maybe Int)
  }
- mkModelReturn :: ModelReturn
- data Name = Name {
  - nameName :: !Int
  - nameSnakeCase :: !(Maybe Int)
  - nameProperty :: !(Maybe Text)
  - name123number :: !(Maybe Int)
  }
- mkName :: Int -> Name
- data NumberOnly = NumberOnly {
  - numberOnlyJustNumber :: !(Maybe Double)
  }
- mkNumberOnly :: NumberOnly
- data Order = Order {
  - orderId :: !(Maybe Integer)
  - orderPetId :: !(Maybe Integer)
  - orderQuantity :: !(Maybe Int)
  - orderShipDate :: !(Maybe DateTime)
  - orderStatus :: !(Maybe E'Status)
  - orderComplete :: !(Maybe Bool)
  }
- mkOrder :: Order
- data OuterComposite = OuterComposite {
  - outerCompositeMyNumber :: !(Maybe Double)
  - outerCompositeMyString :: !(Maybe Text)
  - outerCompositeMyBoolean :: !(Maybe Bool)
  }
- mkOuterComposite :: OuterComposite
- data Pet = Pet {
  - petId :: !(Maybe Integer)
  - petCategory :: !(Maybe Category)
  - petName :: !Text
  - petPhotoUrls :: ![Text]
  - petTags :: !(Maybe [Tag])
  - petStatus :: !(Maybe E'Status2)
  }
- mkPet :: Text -> [Text] -> Pet
- data ReadOnlyFirst = ReadOnlyFirst {
  - readOnlyFirstBar :: !(Maybe Text)
  - readOnlyFirstBaz :: !(Maybe Text)
  }
- mkReadOnlyFirst :: ReadOnlyFirst
- data SpecialModelName = SpecialModelName {
  - specialModelNameSpecialPropertyName :: !(Maybe Integer)
  }
- mkSpecialModelName :: SpecialModelName
- data StringBooleanMap = StringBooleanMap {
  }
- mkStringBooleanMap :: StringBooleanMap
- data Tag = Tag {
  - tagId :: !(Maybe Integer)
  - tagName :: !(Maybe Text)
  }
- mkTag :: Tag
- data User = User {
  - userId :: !(Maybe Integer)
  - userUsername :: !(Maybe Text)
  - userFirstName :: !(Maybe Text)
  - userLastName :: !(Maybe Text)
  - userEmail :: !(Maybe Text)
  - userPassword :: !(Maybe Text)
  - userPhone :: !(Maybe Text)
  - userUserStatus :: !(Maybe Int)
  }
- mkUser :: User
- data E'ArrayEnum
  - = E'ArrayEnum'Fish
  - | E'ArrayEnum'Crab
- fromE'ArrayEnum :: E'ArrayEnum -> Text
- toE'ArrayEnum :: Text -> Either String E'ArrayEnum
- data E'EnumFormString
  - = E'EnumFormString'_abc
  - | E'EnumFormString'_efg
  - | E'EnumFormString'_xyz
- fromE'EnumFormString :: E'EnumFormString -> Text
- toE'EnumFormString :: Text -> Either String E'EnumFormString
- data E'EnumFormStringArray
  - = E'EnumFormStringArray'GreaterThan
  - | E'EnumFormStringArray'Dollar
- fromE'EnumFormStringArray :: E'EnumFormStringArray -> Text
- toE'EnumFormStringArray :: Text -> Either String E'EnumFormStringArray
- data E'EnumInteger
  - = E'EnumInteger'Num1
  - | E'EnumInteger'NumMinus_1
- fromE'EnumInteger :: E'EnumInteger -> Int
- toE'EnumInteger :: Int -> Either String E'EnumInteger
- data E'EnumNumber
  - = E'EnumNumber'Num1_Dot_1
  - | E'EnumNumber'NumMinus_1_Dot_2
- fromE'EnumNumber :: E'EnumNumber -> Double
- toE'EnumNumber :: Double -> Either String E'EnumNumber
- data E'EnumQueryInteger
  - = E'EnumQueryInteger'Num1
  - | E'EnumQueryInteger'NumMinus_2
- fromE'EnumQueryInteger :: E'EnumQueryInteger -> Int
- toE'EnumQueryInteger :: Int -> Either String E'EnumQueryInteger
- data E'EnumString
  - = E'EnumString'UPPER
  - | E'EnumString'Lower
  - | E'EnumString'Empty
- fromE'EnumString :: E'EnumString -> Text
- toE'EnumString :: Text -> Either String E'EnumString
- data E'Inner
  - = E'Inner'UPPER
  - | E'Inner'Lower
- fromE'Inner :: E'Inner -> Text
- toE'Inner :: Text -> Either String E'Inner
- data E'JustSymbol
  - = E'JustSymbol'Greater_Than_Or_Equal_To
  - | E'JustSymbol'Dollar
- fromE'JustSymbol :: E'JustSymbol -> Text
- toE'JustSymbol :: Text -> Either String E'JustSymbol
- data E'Status
  - = E'Status'Placed
  - | E'Status'Approved
  - | E'Status'Delivered
- fromE'Status :: E'Status -> Text
- toE'Status :: Text -> Either String E'Status
- data E'Status2
  - = E'Status2'Available
  - | E'Status2'Pending
  - | E'Status2'Sold
- fromE'Status2 :: E'Status2 -> Text
- toE'Status2 :: Text -> Either String E'Status2
- data EnumClass
  - = EnumClass'_abc
  - | EnumClass'_efg
  - | EnumClass'_xyz
- fromEnumClass :: EnumClass -> Text
- toEnumClass :: Text -> Either String EnumClass
- data OuterEnum
  - = OuterEnum'Placed
  - | OuterEnum'Approved
  - | OuterEnum'Delivered
- fromOuterEnum :: OuterEnum -> Text
- toOuterEnum :: Text -> Either String OuterEnum
- data AuthApiKeyApiKey = AuthApiKeyApiKey Text
- data AuthApiKeyApiKeyQuery = AuthApiKeyApiKeyQuery Text
- data AuthBasicHttpBasicTest = AuthBasicHttpBasicTest ByteString ByteString
- data AuthOAuthPetstoreAuth = AuthOAuthPetstoreAuth Text

# Parameter newtypes

## AdditionalMetadata

newtype AdditionalMetadata Source #

Constructors

AdditionalMetadata |

Fields

- unAdditionalMetadata :: Text

Instances

Eq AdditionalMetadata Source # |
Methods (==) :: AdditionalMetadata -> AdditionalMetadata -> Bool # (/=) :: AdditionalMetadata -> AdditionalMetadata -> Bool #
Show AdditionalMetadata Source # |
Methods showsPrec :: Int -> AdditionalMetadata -> ShowS # show :: AdditionalMetadata -> String # showList :: [AdditionalMetadata] -> ShowS #
HasOptionalParam UploadFileWithRequiredFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFileWithRequiredFile contentType res accept Source #
HasOptionalParam UploadFile AdditionalMetadata Source # | Optional Param "additionalMetadata" - Additional data to pass to server
Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFile contentType res accept -> AdditionalMetadata -> OpenAPIPetstoreRequest UploadFile contentType res accept Source #

## ApiKey

newtype ApiKey Source #

Constructors

ApiKey |

Fields

- unApiKey :: Text

Instances

Eq ApiKey Source # |
Methods (==) :: ApiKey -> ApiKey -> Bool # (/=) :: ApiKey -> ApiKey -> Bool #
Show ApiKey Source # |
Methods showsPrec :: Int -> ApiKey -> ShowS # show :: ApiKey -> String # showList :: [ApiKey] -> ShowS #
HasOptionalParam DeletePet ApiKey Source # |
Methods applyOptionalParam :: OpenAPIPetstoreRequest DeletePet contentType res accept -> ApiKey -> OpenAPIPetstoreRequest DeletePet contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest DeletePet contentType res accept -> ApiKey -> OpenAPIPetstoreRequest DeletePet contentType res accept Source #

## Body

newtype Body Source #

Constructors

Body |

Fields

- unBody :: Double

Instances

Eq Body Source # |
Methods (==) :: Body -> Body -> Bool # (/=) :: Body -> Body -> Bool #
Show Body Source # |
Methods showsPrec :: Int -> Body -> ShowS # show :: Body -> String # showList :: [Body] -> ShowS #
ToJSON Body Source # |
Methods toJSON :: Body -> Value # toEncoding :: Body -> Encoding # toJSONList :: [Body] -> Value # toEncodingList :: [Body] -> Encoding #
HasBodyParam FakeOuterNumberSerialize Body Source # | Body Param "body" - Input number as post body
Methods setBodyParam :: (Consumes FakeOuterNumberSerialize contentType, MimeRender contentType Body) => OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType res accept -> Body -> OpenAPIPetstoreRequest FakeOuterNumberSerialize contentType res accept Source #

## BodyBool

newtype BodyBool Source #

Constructors

BodyBool |

Fields

- unBodyBool :: Bool

Instances

Eq BodyBool Source # |
Methods (==) :: BodyBool -> BodyBool -> Bool # (/=) :: BodyBool -> BodyBool -> Bool #
Show BodyBool Source # |
Methods showsPrec :: Int -> BodyBool -> ShowS # show :: BodyBool -> String # showList :: [BodyBool] -> ShowS #
ToJSON BodyBool Source # |
Methods toJSON :: BodyBool -> Value # toEncoding :: BodyBool -> Encoding # toJSONList :: [BodyBool] -> Value # toEncodingList :: [BodyBool] -> Encoding #
HasBodyParam FakeOuterBooleanSerialize BodyBool Source # | Body Param "body" - Input boolean as post body
Methods setBodyParam :: (Consumes FakeOuterBooleanSerialize contentType, MimeRender contentType BodyBool) => OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType res accept -> BodyBool -> OpenAPIPetstoreRequest FakeOuterBooleanSerialize contentType res accept Source #

## BodyText

newtype BodyText Source #

Constructors

BodyText |

Fields

- unBodyText :: Text

Instances

Eq BodyText Source # |
Methods (==) :: BodyText -> BodyText -> Bool # (/=) :: BodyText -> BodyText -> Bool #
Show BodyText Source # |
Methods showsPrec :: Int -> BodyText -> ShowS # show :: BodyText -> String # showList :: [BodyText] -> ShowS #
ToJSON BodyText Source # |
Methods toJSON :: BodyText -> Value # toEncoding :: BodyText -> Encoding # toJSONList :: [BodyText] -> Value # toEncodingList :: [BodyText] -> Encoding #
HasBodyParam FakeOuterStringSerialize BodyText Source # | Body Param "body" - Input string as post body
Methods setBodyParam :: (Consumes FakeOuterStringSerialize contentType, MimeRender contentType BodyText) => OpenAPIPetstoreRequest FakeOuterStringSerialize contentType res accept -> BodyText -> OpenAPIPetstoreRequest FakeOuterStringSerialize contentType res accept Source #

## Byte

newtype Byte Source #

Constructors

Byte |

Fields

- unByte :: ByteArray

Instances

Eq Byte Source # |
Methods (==) :: Byte -> Byte -> Bool # (/=) :: Byte -> Byte -> Bool #
Show Byte Source # |
Methods showsPrec :: Int -> Byte -> ShowS # show :: Byte -> String # showList :: [Byte] -> ShowS #

## Callback

newtype Callback Source #

Constructors

Callback |

Fields

- unCallback :: Text

Instances

Eq Callback Source # |
Methods (==) :: Callback -> Callback -> Bool # (/=) :: Callback -> Callback -> Bool #
Show Callback Source # |
Methods showsPrec :: Int -> Callback -> ShowS # show :: Callback -> String # showList :: [Callback] -> ShowS #
HasOptionalParam TestEndpointParameters Callback Source # | Optional Param "callback" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Callback -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## EnumFormString

newtype EnumFormString Source #

Constructors

EnumFormString |

Fields

- unEnumFormString :: E'EnumFormString

Instances

Eq EnumFormString Source # |
Methods (==) :: EnumFormString -> EnumFormString -> Bool # (/=) :: EnumFormString -> EnumFormString -> Bool #
Show EnumFormString Source # |
Methods showsPrec :: Int -> EnumFormString -> ShowS # show :: EnumFormString -> String # showList :: [EnumFormString] -> ShowS #
HasOptionalParam TestEnumParameters EnumFormString Source # | Optional Param "enum_form_string" - Form parameter enum test (string)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumFormStringArray

newtype EnumFormStringArray Source #

Constructors

EnumFormStringArray |

Fields

- unEnumFormStringArray :: [E'EnumFormStringArray]

Instances

Eq EnumFormStringArray Source # |
Methods (==) :: EnumFormStringArray -> EnumFormStringArray -> Bool # (/=) :: EnumFormStringArray -> EnumFormStringArray -> Bool #
Show EnumFormStringArray Source # |
Methods showsPrec :: Int -> EnumFormStringArray -> ShowS # show :: EnumFormStringArray -> String # showList :: [EnumFormStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumFormStringArray Source # | Optional Param "enum_form_string_array" - Form parameter enum test (string array)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumFormStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumHeaderString

newtype EnumHeaderString Source #

Constructors

EnumHeaderString |

Fields

- unEnumHeaderString :: E'EnumFormString

Instances

Eq EnumHeaderString Source # |
Methods (==) :: EnumHeaderString -> EnumHeaderString -> Bool # (/=) :: EnumHeaderString -> EnumHeaderString -> Bool #
Show EnumHeaderString Source # |
Methods showsPrec :: Int -> EnumHeaderString -> ShowS # show :: EnumHeaderString -> String # showList :: [EnumHeaderString] -> ShowS #
HasOptionalParam TestEnumParameters EnumHeaderString Source # | Optional Param "enum_header_string" - Header parameter enum test (string)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumHeaderStringArray

newtype EnumHeaderStringArray Source #

Constructors

EnumHeaderStringArray |

Fields

- unEnumHeaderStringArray :: [E'EnumFormStringArray]

Instances

Eq EnumHeaderStringArray Source # |
Methods (==) :: EnumHeaderStringArray -> EnumHeaderStringArray -> Bool # (/=) :: EnumHeaderStringArray -> EnumHeaderStringArray -> Bool #
Show EnumHeaderStringArray Source # |
Methods showsPrec :: Int -> EnumHeaderStringArray -> ShowS # show :: EnumHeaderStringArray -> String # showList :: [EnumHeaderStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumHeaderStringArray Source # | Optional Param "enum_header_string_array" - Header parameter enum test (string array)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumHeaderStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryDouble

newtype EnumQueryDouble Source #

Constructors

EnumQueryDouble |

Fields

- unEnumQueryDouble :: E'EnumNumber

Instances

Eq EnumQueryDouble Source # |
Methods (==) :: EnumQueryDouble -> EnumQueryDouble -> Bool # (/=) :: EnumQueryDouble -> EnumQueryDouble -> Bool #
Show EnumQueryDouble Source # |
Methods showsPrec :: Int -> EnumQueryDouble -> ShowS # show :: EnumQueryDouble -> String # showList :: [EnumQueryDouble] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryDouble Source # | Optional Param "enum_query_double" - Query parameter enum test (double)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryDouble -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryInteger

newtype EnumQueryInteger Source #

Constructors

EnumQueryInteger |

Fields

- unEnumQueryInteger :: E'EnumQueryInteger

Instances

Eq EnumQueryInteger Source # |
Methods (==) :: EnumQueryInteger -> EnumQueryInteger -> Bool # (/=) :: EnumQueryInteger -> EnumQueryInteger -> Bool #
Show EnumQueryInteger Source # |
Methods showsPrec :: Int -> EnumQueryInteger -> ShowS # show :: EnumQueryInteger -> String # showList :: [EnumQueryInteger] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryInteger Source # | Optional Param "enum_query_integer" - Query parameter enum test (double)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryInteger -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryString

newtype EnumQueryString Source #

Constructors

EnumQueryString |

Fields

- unEnumQueryString :: E'EnumFormString

Instances

Eq EnumQueryString Source # |
Methods (==) :: EnumQueryString -> EnumQueryString -> Bool # (/=) :: EnumQueryString -> EnumQueryString -> Bool #
Show EnumQueryString Source # |
Methods showsPrec :: Int -> EnumQueryString -> ShowS # show :: EnumQueryString -> String # showList :: [EnumQueryString] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryString Source # | Optional Param "enum_query_string" - Query parameter enum test (string)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryString -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## EnumQueryStringArray

newtype EnumQueryStringArray Source #

Constructors

EnumQueryStringArray |

Fields

- unEnumQueryStringArray :: [E'EnumFormStringArray]

Instances

Eq EnumQueryStringArray Source # |
Methods (==) :: EnumQueryStringArray -> EnumQueryStringArray -> Bool # (/=) :: EnumQueryStringArray -> EnumQueryStringArray -> Bool #
Show EnumQueryStringArray Source # |
Methods showsPrec :: Int -> EnumQueryStringArray -> ShowS # show :: EnumQueryStringArray -> String # showList :: [EnumQueryStringArray] -> ShowS #
HasOptionalParam TestEnumParameters EnumQueryStringArray Source # | Optional Param "enum_query_string_array" - Query parameter enum test (string array)
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEnumParameters contentType res accept -> EnumQueryStringArray -> OpenAPIPetstoreRequest TestEnumParameters contentType res accept Source #

## File2

newtype File2 Source #

Constructors

File2 |

Fields

- unFile2 :: FilePath

Instances

Eq File2 Source # |
Methods (==) :: File2 -> File2 -> Bool # (/=) :: File2 -> File2 -> Bool #
Show File2 Source # |
Methods showsPrec :: Int -> File2 -> ShowS # show :: File2 -> String # showList :: [File2] -> ShowS #
HasOptionalParam UploadFile File2 Source # | Optional Param "file" - file to upload
Methods applyOptionalParam :: OpenAPIPetstoreRequest UploadFile contentType res accept -> File2 -> OpenAPIPetstoreRequest UploadFile contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UploadFile contentType res accept -> File2 -> OpenAPIPetstoreRequest UploadFile contentType res accept Source #

## Int32

newtype Int32 Source #

Constructors

Int32 |

Fields

- unInt32 :: Int

Instances

Eq Int32 Source # |
Methods (==) :: Int32 -> Int32 -> Bool # (/=) :: Int32 -> Int32 -> Bool #
Show Int32 Source # |
Methods showsPrec :: Int -> Int32 -> ShowS # show :: Int32 -> String # showList :: [Int32] -> ShowS #
HasOptionalParam TestEndpointParameters Int32 Source # | Optional Param "int32" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int32 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Int64

newtype Int64 Source #

Constructors

Int64 |

Fields

- unInt64 :: Integer

Instances

Eq Int64 Source # |
Methods (==) :: Int64 -> Int64 -> Bool # (/=) :: Int64 -> Int64 -> Bool #
Show Int64 Source # |
Methods showsPrec :: Int -> Int64 -> ShowS # show :: Int64 -> String # showList :: [Int64] -> ShowS #
HasOptionalParam TestEndpointParameters Int64 Source # | Optional Param "int64" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Int64 -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Name2

newtype Name2 Source #

Constructors

Name2 |

Fields

- unName2 :: Text

Instances

Eq Name2 Source # |
Methods (==) :: Name2 -> Name2 -> Bool # (/=) :: Name2 -> Name2 -> Bool #
Show Name2 Source # |
Methods showsPrec :: Int -> Name2 -> ShowS # show :: Name2 -> String # showList :: [Name2] -> ShowS #
HasOptionalParam UpdatePetWithForm Name2 Source # | Optional Param "name" - Updated name of the pet
Methods applyOptionalParam :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> Name2 -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source #

## Number

newtype Number Source #

Constructors

Number |

Fields

- unNumber :: Double

Instances

Eq Number Source # |
Methods (==) :: Number -> Number -> Bool # (/=) :: Number -> Number -> Bool #
Show Number Source # |
Methods showsPrec :: Int -> Number -> ShowS # show :: Number -> String # showList :: [Number] -> ShowS #

## OrderId

newtype OrderId Source #

Constructors

OrderId |

Fields

- unOrderId :: Integer

Instances

Eq OrderId Source # |
Methods (==) :: OrderId -> OrderId -> Bool # (/=) :: OrderId -> OrderId -> Bool #
Show OrderId Source # |
Methods showsPrec :: Int -> OrderId -> ShowS # show :: OrderId -> String # showList :: [OrderId] -> ShowS #

## OrderIdText

newtype OrderIdText Source #

Constructors

OrderIdText |

Fields

- unOrderIdText :: Text

Instances

Eq OrderIdText Source # |
Methods (==) :: OrderIdText -> OrderIdText -> Bool # (/=) :: OrderIdText -> OrderIdText -> Bool #
Show OrderIdText Source # |
Methods showsPrec :: Int -> OrderIdText -> ShowS # show :: OrderIdText -> String # showList :: [OrderIdText] -> ShowS #

## Param

newtype Param Source #

Constructors

Param |

Fields

- unParam :: Text

Instances

Eq Param Source # |
Methods (==) :: Param -> Param -> Bool # (/=) :: Param -> Param -> Bool #
Show Param Source # |
Methods showsPrec :: Int -> Param -> ShowS # show :: Param -> String # showList :: [Param] -> ShowS #

## Param2

newtype Param2 Source #

Constructors

Param2 |

Fields

- unParam2 :: Text

Instances

Eq Param2 Source # |
Methods (==) :: Param2 -> Param2 -> Bool # (/=) :: Param2 -> Param2 -> Bool #
Show Param2 Source # |
Methods showsPrec :: Int -> Param2 -> ShowS # show :: Param2 -> String # showList :: [Param2] -> ShowS #

## ParamBinary

newtype ParamBinary Source #

Constructors

ParamBinary |

Fields

- unParamBinary :: FilePath

Instances

Eq ParamBinary Source # |
Methods (==) :: ParamBinary -> ParamBinary -> Bool # (/=) :: ParamBinary -> ParamBinary -> Bool #
Show ParamBinary Source # |
Methods showsPrec :: Int -> ParamBinary -> ShowS # show :: ParamBinary -> String # showList :: [ParamBinary] -> ShowS #
HasOptionalParam TestEndpointParameters ParamBinary Source # | Optional Param "binary" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamBinary -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamDate

newtype ParamDate Source #

Constructors

ParamDate |

Fields

- unParamDate :: Date

Instances

Eq ParamDate Source # |
Methods (==) :: ParamDate -> ParamDate -> Bool # (/=) :: ParamDate -> ParamDate -> Bool #
Show ParamDate Source # |
Methods showsPrec :: Int -> ParamDate -> ShowS # show :: ParamDate -> String # showList :: [ParamDate] -> ShowS #
HasOptionalParam TestEndpointParameters ParamDate Source # | Optional Param "date" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDate -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamDateTime

newtype ParamDateTime Source #

Constructors

ParamDateTime |

Fields

- unParamDateTime :: DateTime

Instances

Eq ParamDateTime Source # |
Methods (==) :: ParamDateTime -> ParamDateTime -> Bool # (/=) :: ParamDateTime -> ParamDateTime -> Bool #
Show ParamDateTime Source # |
Methods showsPrec :: Int -> ParamDateTime -> ShowS # show :: ParamDateTime -> String # showList :: [ParamDateTime] -> ShowS #
HasOptionalParam TestEndpointParameters ParamDateTime Source # | Optional Param "dateTime" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamDateTime -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamDouble

newtype ParamDouble Source #

Constructors

ParamDouble |

Fields

- unParamDouble :: Double

Instances

Eq ParamDouble Source # |
Methods (==) :: ParamDouble -> ParamDouble -> Bool # (/=) :: ParamDouble -> ParamDouble -> Bool #
Show ParamDouble Source # |
Methods showsPrec :: Int -> ParamDouble -> ShowS # show :: ParamDouble -> String # showList :: [ParamDouble] -> ShowS #

## ParamFloat

newtype ParamFloat Source #

Constructors

ParamFloat |

Fields

- unParamFloat :: Float

Instances

Eq ParamFloat Source # |
Methods (==) :: ParamFloat -> ParamFloat -> Bool # (/=) :: ParamFloat -> ParamFloat -> Bool #
Show ParamFloat Source # |
Methods showsPrec :: Int -> ParamFloat -> ShowS # show :: ParamFloat -> String # showList :: [ParamFloat] -> ShowS #
HasOptionalParam TestEndpointParameters ParamFloat Source # | Optional Param "float" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamFloat -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamInteger

newtype ParamInteger Source #

Constructors

ParamInteger |

Fields

- unParamInteger :: Int

Instances

Eq ParamInteger Source # |
Methods (==) :: ParamInteger -> ParamInteger -> Bool # (/=) :: ParamInteger -> ParamInteger -> Bool #
Show ParamInteger Source # |
Methods showsPrec :: Int -> ParamInteger -> ShowS # show :: ParamInteger -> String # showList :: [ParamInteger] -> ShowS #
HasOptionalParam TestEndpointParameters ParamInteger Source # | Optional Param "integer" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamInteger -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## ParamString

newtype ParamString Source #

Constructors

ParamString |

Fields

- unParamString :: Text

Instances

Eq ParamString Source # |
Methods (==) :: ParamString -> ParamString -> Bool # (/=) :: ParamString -> ParamString -> Bool #
Show ParamString Source # |
Methods showsPrec :: Int -> ParamString -> ShowS # show :: ParamString -> String # showList :: [ParamString] -> ShowS #
HasOptionalParam TestEndpointParameters ParamString Source # | Optional Param "string" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> ParamString -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## Password

newtype Password Source #

Constructors

Password |

Fields

- unPassword :: Text

Instances

Eq Password Source # |
Methods (==) :: Password -> Password -> Bool # (/=) :: Password -> Password -> Bool #
Show Password Source # |
Methods showsPrec :: Int -> Password -> ShowS # show :: Password -> String # showList :: [Password] -> ShowS #
HasOptionalParam TestEndpointParameters Password Source # | Optional Param "password" - None
Methods applyOptionalParam :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Password -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest TestEndpointParameters contentType res accept -> Password -> OpenAPIPetstoreRequest TestEndpointParameters contentType res accept Source #

## PatternWithoutDelimiter

newtype PatternWithoutDelimiter Source #

Constructors

PatternWithoutDelimiter |

Fields

- unPatternWithoutDelimiter :: Text

Instances

Eq PatternWithoutDelimiter Source # |
Methods (==) :: PatternWithoutDelimiter -> PatternWithoutDelimiter -> Bool # (/=) :: PatternWithoutDelimiter -> PatternWithoutDelimiter -> Bool #
Show PatternWithoutDelimiter Source # |
Methods showsPrec :: Int -> PatternWithoutDelimiter -> ShowS # show :: PatternWithoutDelimiter -> String # showList :: [PatternWithoutDelimiter] -> ShowS #

## PetId

newtype PetId Source #

Constructors

PetId |

Fields

- unPetId :: Integer

Instances

Eq PetId Source # |
Methods (==) :: PetId -> PetId -> Bool # (/=) :: PetId -> PetId -> Bool #
Show PetId Source # |
Methods showsPrec :: Int -> PetId -> ShowS # show :: PetId -> String # showList :: [PetId] -> ShowS #

## Query

newtype Query Source #

Constructors

Query |

Fields

- unQuery :: Text

Instances

Eq Query Source # |
Methods (==) :: Query -> Query -> Bool # (/=) :: Query -> Query -> Bool #
Show Query Source # |
Methods showsPrec :: Int -> Query -> ShowS # show :: Query -> String # showList :: [Query] -> ShowS #

## RequestBody

newtype RequestBody Source #

Constructors

RequestBody |

Fields

- unRequestBody :: Map String Text

Instances

Eq RequestBody Source # |
Methods (==) :: RequestBody -> RequestBody -> Bool # (/=) :: RequestBody -> RequestBody -> Bool #
Show RequestBody Source # |
Methods showsPrec :: Int -> RequestBody -> ShowS # show :: RequestBody -> String # showList :: [RequestBody] -> ShowS #
ToJSON RequestBody Source # |
Methods toJSON :: RequestBody -> Value # toEncoding :: RequestBody -> Encoding # toJSONList :: [RequestBody] -> Value # toEncodingList :: [RequestBody] -> Encoding #
HasBodyParam TestInlineAdditionalProperties RequestBody Source # | Body Param "request_body" - request body
Methods setBodyParam :: (Consumes TestInlineAdditionalProperties contentType, MimeRender contentType RequestBody) => OpenAPIPetstoreRequest TestInlineAdditionalProperties contentType res accept -> RequestBody -> OpenAPIPetstoreRequest TestInlineAdditionalProperties contentType res accept Source #

## RequiredFile

newtype RequiredFile Source #

Constructors

RequiredFile |

Fields

- unRequiredFile :: FilePath

Instances

Eq RequiredFile Source # |
Methods (==) :: RequiredFile -> RequiredFile -> Bool # (/=) :: RequiredFile -> RequiredFile -> Bool #
Show RequiredFile Source # |
Methods showsPrec :: Int -> RequiredFile -> ShowS # show :: RequiredFile -> String # showList :: [RequiredFile] -> ShowS #

## Status

newtype Status Source #

Constructors

Status |

Fields

- unStatus :: [E'Status2]

Instances

Eq Status Source # |
Methods (==) :: Status -> Status -> Bool # (/=) :: Status -> Status -> Bool #
Show Status Source # |
Methods showsPrec :: Int -> Status -> ShowS # show :: Status -> String # showList :: [Status] -> ShowS #

## StatusText

newtype StatusText Source #

Constructors

StatusText |

Fields

- unStatusText :: Text

Instances

Eq StatusText Source # |
Methods (==) :: StatusText -> StatusText -> Bool # (/=) :: StatusText -> StatusText -> Bool #
Show StatusText Source # |
Methods showsPrec :: Int -> StatusText -> ShowS # show :: StatusText -> String # showList :: [StatusText] -> ShowS #
HasOptionalParam UpdatePetWithForm StatusText Source # | Optional Param "status" - Updated status of the pet
Methods applyOptionalParam :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source # (-&-) :: OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept -> StatusText -> OpenAPIPetstoreRequest UpdatePetWithForm contentType res accept Source #

## Tags

newtype Tags Source #

Constructors

Tags |

Fields

- unTags :: [Text]

Instances

Eq Tags Source # |
Methods (==) :: Tags -> Tags -> Bool # (/=) :: Tags -> Tags -> Bool #
Show Tags Source # |
Methods showsPrec :: Int -> Tags -> ShowS # show :: Tags -> String # showList :: [Tags] -> ShowS #

## User2

newtype User2 Source #

Constructors

User2 |

Fields

- unUser2 :: [User]

Instances

Eq User2 Source # |
Methods (==) :: User2 -> User2 -> Bool # (/=) :: User2 -> User2 -> Bool #
Show User2 Source # |
Methods showsPrec :: Int -> User2 -> ShowS # show :: User2 -> String # showList :: [User2] -> ShowS #
ToJSON User2 Source # |
Methods toJSON :: User2 -> Value # toEncoding :: User2 -> Encoding # toJSONList :: [User2] -> Value # toEncodingList :: [User2] -> Encoding #
HasBodyParam CreateUsersWithListInput User2 Source # | Body Param User - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType User2) => OpenAPIPetstoreRequest CreateUsersWithListInput contentType res accept -> User2 -> OpenAPIPetstoreRequest CreateUsersWithListInput contentType res accept Source #
HasBodyParam CreateUsersWithArrayInput User2 Source # | Body Param User - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType User2) => OpenAPIPetstoreRequest CreateUsersWithArrayInput contentType res accept -> User2 -> OpenAPIPetstoreRequest CreateUsersWithArrayInput contentType res accept Source #

## Username

newtype Username Source #

Constructors

Username |

Fields

- unUsername :: Text

Instances

Eq Username Source # |
Methods (==) :: Username -> Username -> Bool # (/=) :: Username -> Username -> Bool #
Show Username Source # |
Methods showsPrec :: Int -> Username -> ShowS # show :: Username -> String # showList :: [Username] -> ShowS #

# Models

## AdditionalPropertiesClass

data AdditionalPropertiesClass Source #

AdditionalPropertiesClass

Constructors

AdditionalPropertiesClass |

Fields

- additionalPropertiesClassMapProperty :: !(Maybe (Map String Text))

  "map_property"

- additionalPropertiesClassMapOfMapProperty :: !(Maybe (Map String (Map String Text)))

  "map_of_map_property"

Instances

Eq AdditionalPropertiesClass Source # |
Methods (==) :: AdditionalPropertiesClass -> AdditionalPropertiesClass -> Bool # (/=) :: AdditionalPropertiesClass -> AdditionalPropertiesClass -> Bool #
Show AdditionalPropertiesClass Source # |
Methods showsPrec :: Int -> AdditionalPropertiesClass -> ShowS # show :: AdditionalPropertiesClass -> String # showList :: [AdditionalPropertiesClass] -> ShowS #
ToJSON AdditionalPropertiesClass Source # | ToJSON AdditionalPropertiesClass
Methods toJSON :: AdditionalPropertiesClass -> Value # toEncoding :: AdditionalPropertiesClass -> Encoding # toJSONList :: [AdditionalPropertiesClass] -> Value # toEncodingList :: [AdditionalPropertiesClass] -> Encoding #
FromJSON AdditionalPropertiesClass Source # | FromJSON AdditionalPropertiesClass
Methods parseJSON :: Value -> Parser AdditionalPropertiesClass # parseJSONList :: Value -> Parser [AdditionalPropertiesClass] #

mkAdditionalPropertiesClass :: AdditionalPropertiesClass Source #

Construct a value of type `AdditionalPropertiesClass` (by applying it's required fields, if any)

## Animal

data Animal Source #

Animal

Constructors

Animal |

Fields

- animalClassName :: !Text

  Required "className"

- animalColor :: !(Maybe Text)

  "color"

Instances

Eq Animal Source # |
Methods (==) :: Animal -> Animal -> Bool # (/=) :: Animal -> Animal -> Bool #
Show Animal Source # |
Methods showsPrec :: Int -> Animal -> ShowS # show :: Animal -> String # showList :: [Animal] -> ShowS #
ToJSON Animal Source # | ToJSON Animal
Methods toJSON :: Animal -> Value # toEncoding :: Animal -> Encoding # toJSONList :: [Animal] -> Value # toEncodingList :: [Animal] -> Encoding #
FromJSON Animal Source # | FromJSON Animal
Methods parseJSON :: Value -> Parser Animal # parseJSONList :: Value -> Parser [Animal] #

mkAnimal Source #

Arguments

:: Text | `animalClassName`
-> Animal |

Construct a value of type `Animal` (by applying it's required fields, if any)

## AnimalFarm

data AnimalFarm Source #

AnimalFarm

Constructors

AnimalFarm |

Instances

Eq AnimalFarm Source # |
Methods (==) :: AnimalFarm -> AnimalFarm -> Bool # (/=) :: AnimalFarm -> AnimalFarm -> Bool #
Show AnimalFarm Source # |
Methods showsPrec :: Int -> AnimalFarm -> ShowS # show :: AnimalFarm -> String # showList :: [AnimalFarm] -> ShowS #
ToJSON AnimalFarm Source # | ToJSON AnimalFarm
Methods toJSON :: AnimalFarm -> Value # toEncoding :: AnimalFarm -> Encoding # toJSONList :: [AnimalFarm] -> Value # toEncodingList :: [AnimalFarm] -> Encoding #
FromJSON AnimalFarm Source # | FromJSON AnimalFarm
Methods parseJSON :: Value -> Parser AnimalFarm # parseJSONList :: Value -> Parser [AnimalFarm] #

mkAnimalFarm :: AnimalFarm Source #

Construct a value of type `AnimalFarm` (by applying it's required fields, if any)

## ApiResponse

data ApiResponse Source #

ApiResponse

Constructors

ApiResponse |

Fields

- apiResponseCode :: !(Maybe Int)

  "code"

- apiResponseType :: !(Maybe Text)

  "type"

- apiResponseMessage :: !(Maybe Text)

  "message"

Instances

Eq ApiResponse Source # |
Methods (==) :: ApiResponse -> ApiResponse -> Bool # (/=) :: ApiResponse -> ApiResponse -> Bool #
Show ApiResponse Source # |
Methods showsPrec :: Int -> ApiResponse -> ShowS # show :: ApiResponse -> String # showList :: [ApiResponse] -> ShowS #
ToJSON ApiResponse Source # | ToJSON ApiResponse
Methods toJSON :: ApiResponse -> Value # toEncoding :: ApiResponse -> Encoding # toJSONList :: [ApiResponse] -> Value # toEncodingList :: [ApiResponse] -> Encoding #
FromJSON ApiResponse Source # | FromJSON ApiResponse
Methods parseJSON :: Value -> Parser ApiResponse # parseJSONList :: Value -> Parser [ApiResponse] #

mkApiResponse :: ApiResponse Source #

Construct a value of type `ApiResponse` (by applying it's required fields, if any)

## ArrayOfArrayOfNumberOnly

data ArrayOfArrayOfNumberOnly Source #

ArrayOfArrayOfNumberOnly

Constructors

ArrayOfArrayOfNumberOnly |

Fields

- arrayOfArrayOfNumberOnlyArrayArrayNumber :: !(Maybe [[Double]])

  ArrayArrayNumber

Instances

Eq ArrayOfArrayOfNumberOnly Source # |
Methods (==) :: ArrayOfArrayOfNumberOnly -> ArrayOfArrayOfNumberOnly -> Bool # (/=) :: ArrayOfArrayOfNumberOnly -> ArrayOfArrayOfNumberOnly -> Bool #
Show ArrayOfArrayOfNumberOnly Source # |
Methods showsPrec :: Int -> ArrayOfArrayOfNumberOnly -> ShowS # show :: ArrayOfArrayOfNumberOnly -> String # showList :: [ArrayOfArrayOfNumberOnly] -> ShowS #
ToJSON ArrayOfArrayOfNumberOnly Source # | ToJSON ArrayOfArrayOfNumberOnly
Methods toJSON :: ArrayOfArrayOfNumberOnly -> Value # toEncoding :: ArrayOfArrayOfNumberOnly -> Encoding # toJSONList :: [ArrayOfArrayOfNumberOnly] -> Value # toEncodingList :: [ArrayOfArrayOfNumberOnly] -> Encoding #
FromJSON ArrayOfArrayOfNumberOnly Source # | FromJSON ArrayOfArrayOfNumberOnly
Methods parseJSON :: Value -> Parser ArrayOfArrayOfNumberOnly # parseJSONList :: Value -> Parser [ArrayOfArrayOfNumberOnly] #

mkArrayOfArrayOfNumberOnly :: ArrayOfArrayOfNumberOnly Source #

Construct a value of type `ArrayOfArrayOfNumberOnly` (by applying it's required fields, if any)

## ArrayOfNumberOnly

data ArrayOfNumberOnly Source #

ArrayOfNumberOnly

Constructors

ArrayOfNumberOnly |

Fields

- arrayOfNumberOnlyArrayNumber :: !(Maybe [Double])

  ArrayNumber

Instances

Eq ArrayOfNumberOnly Source # |
Methods (==) :: ArrayOfNumberOnly -> ArrayOfNumberOnly -> Bool # (/=) :: ArrayOfNumberOnly -> ArrayOfNumberOnly -> Bool #
Show ArrayOfNumberOnly Source # |
Methods showsPrec :: Int -> ArrayOfNumberOnly -> ShowS # show :: ArrayOfNumberOnly -> String # showList :: [ArrayOfNumberOnly] -> ShowS #
ToJSON ArrayOfNumberOnly Source # | ToJSON ArrayOfNumberOnly
Methods toJSON :: ArrayOfNumberOnly -> Value # toEncoding :: ArrayOfNumberOnly -> Encoding # toJSONList :: [ArrayOfNumberOnly] -> Value # toEncodingList :: [ArrayOfNumberOnly] -> Encoding #
FromJSON ArrayOfNumberOnly Source # | FromJSON ArrayOfNumberOnly
Methods parseJSON :: Value -> Parser ArrayOfNumberOnly # parseJSONList :: Value -> Parser [ArrayOfNumberOnly] #

mkArrayOfNumberOnly :: ArrayOfNumberOnly Source #

Construct a value of type `ArrayOfNumberOnly` (by applying it's required fields, if any)

## ArrayTest

data ArrayTest Source #

ArrayTest

Constructors

ArrayTest |

Fields

- arrayTestArrayOfString :: !(Maybe [Text])

  "array_of_string"

- arrayTestArrayArrayOfInteger :: !(Maybe [[Integer]])

  "array_array_of_integer"

- arrayTestArrayArrayOfModel :: !(Maybe [[ReadOnlyFirst]])

  "array_array_of_model"

Instances

Eq ArrayTest Source # |
Methods (==) :: ArrayTest -> ArrayTest -> Bool # (/=) :: ArrayTest -> ArrayTest -> Bool #
Show ArrayTest Source # |
Methods showsPrec :: Int -> ArrayTest -> ShowS # show :: ArrayTest -> String # showList :: [ArrayTest] -> ShowS #
ToJSON ArrayTest Source # | ToJSON ArrayTest
Methods toJSON :: ArrayTest -> Value # toEncoding :: ArrayTest -> Encoding # toJSONList :: [ArrayTest] -> Value # toEncodingList :: [ArrayTest] -> Encoding #
FromJSON ArrayTest Source # | FromJSON ArrayTest
Methods parseJSON :: Value -> Parser ArrayTest # parseJSONList :: Value -> Parser [ArrayTest] #

mkArrayTest :: ArrayTest Source #

Construct a value of type `ArrayTest` (by applying it's required fields, if any)

## Capitalization

data Capitalization Source #

Capitalization

Constructors

Capitalization |

Fields

- capitalizationSmallCamel :: !(Maybe Text)

  "smallCamel"

- capitalizationCapitalCamel :: !(Maybe Text)

  CapitalCamel

- capitalizationSmallSnake :: !(Maybe Text)

  "small_Snake"

- capitalizationCapitalSnake :: !(Maybe Text)

  Capital_Snake

- capitalizationScaEthFlowPoints :: !(Maybe Text)

  SCA_ETH_Flow_Points

- capitalizationAttName :: !(Maybe Text)

  ATT_NAME - Name of the pet

Instances

Eq Capitalization Source # |
Methods (==) :: Capitalization -> Capitalization -> Bool # (/=) :: Capitalization -> Capitalization -> Bool #
Show Capitalization Source # |
Methods showsPrec :: Int -> Capitalization -> ShowS # show :: Capitalization -> String # showList :: [Capitalization] -> ShowS #
ToJSON Capitalization Source # | ToJSON Capitalization
Methods toJSON :: Capitalization -> Value # toEncoding :: Capitalization -> Encoding # toJSONList :: [Capitalization] -> Value # toEncodingList :: [Capitalization] -> Encoding #
FromJSON Capitalization Source # | FromJSON Capitalization
Methods parseJSON :: Value -> Parser Capitalization # parseJSONList :: Value -> Parser [Capitalization] #

mkCapitalization :: Capitalization Source #

Construct a value of type `Capitalization` (by applying it's required fields, if any)

## Cat

data Cat Source #

Cat

Constructors

Cat |

Fields

- catClassName :: !Text

  Required "className"

- catColor :: !(Maybe Text)

  "color"

- catDeclawed :: !(Maybe Bool)

  "declawed"

Instances

Eq Cat Source # |
Methods (==) :: Cat -> Cat -> Bool # (/=) :: Cat -> Cat -> Bool #
Show Cat Source # |
Methods showsPrec :: Int -> Cat -> ShowS # show :: Cat -> String # showList :: [Cat] -> ShowS #
ToJSON Cat Source # | ToJSON Cat
Methods toJSON :: Cat -> Value # toEncoding :: Cat -> Encoding # toJSONList :: [Cat] -> Value # toEncodingList :: [Cat] -> Encoding #
FromJSON Cat Source # | FromJSON Cat
Methods parseJSON :: Value -> Parser Cat # parseJSONList :: Value -> Parser [Cat] #

mkCat Source #

Arguments

:: Text | `catClassName`
-> Cat |

Construct a value of type `Cat` (by applying it's required fields, if any)

## Category

data Category Source #

Category

Constructors

Category |

Fields

- categoryId :: !(Maybe Integer)

  "id"

- categoryName :: !(Maybe Text)

  "name"

Instances

Eq Category Source # |
Methods (==) :: Category -> Category -> Bool # (/=) :: Category -> Category -> Bool #
Show Category Source # |
Methods showsPrec :: Int -> Category -> ShowS # show :: Category -> String # showList :: [Category] -> ShowS #
ToJSON Category Source # | ToJSON Category
Methods toJSON :: Category -> Value # toEncoding :: Category -> Encoding # toJSONList :: [Category] -> Value # toEncodingList :: [Category] -> Encoding #
FromJSON Category Source # | FromJSON Category
Methods parseJSON :: Value -> Parser Category # parseJSONList :: Value -> Parser [Category] #

mkCategory :: Category Source #

Construct a value of type `Category` (by applying it's required fields, if any)

## ClassModel

data ClassModel Source #

ClassModel Model for testing model with "_class" property

Constructors

ClassModel |

Fields

- classModelClass :: !(Maybe Text)

  "_class"

Instances

Eq ClassModel Source # |
Methods (==) :: ClassModel -> ClassModel -> Bool # (/=) :: ClassModel -> ClassModel -> Bool #
Show ClassModel Source # |
Methods showsPrec :: Int -> ClassModel -> ShowS # show :: ClassModel -> String # showList :: [ClassModel] -> ShowS #
ToJSON ClassModel Source # | ToJSON ClassModel
Methods toJSON :: ClassModel -> Value # toEncoding :: ClassModel -> Encoding # toJSONList :: [ClassModel] -> Value # toEncodingList :: [ClassModel] -> Encoding #
FromJSON ClassModel Source # | FromJSON ClassModel
Methods parseJSON :: Value -> Parser ClassModel # parseJSONList :: Value -> Parser [ClassModel] #

mkClassModel :: ClassModel Source #

Construct a value of type `ClassModel` (by applying it's required fields, if any)

## Client

data Client Source #

Client

Constructors

Client |

Fields

- clientClient :: !(Maybe Text)

  "client"

Instances

Eq Client Source # |
Methods (==) :: Client -> Client -> Bool # (/=) :: Client -> Client -> Bool #
Show Client Source # |
Methods showsPrec :: Int -> Client -> ShowS # show :: Client -> String # showList :: [Client] -> ShowS #
ToJSON Client Source # | ToJSON Client
Methods toJSON :: Client -> Value # toEncoding :: Client -> Encoding # toJSONList :: [Client] -> Value # toEncodingList :: [Client] -> Encoding #
FromJSON Client Source # | FromJSON Client
Methods parseJSON :: Value -> Parser Client # parseJSONList :: Value -> Parser [Client] #
HasBodyParam TestClassname Client Source # | Body Param Client - client model
Methods setBodyParam :: (Consumes TestClassname contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestClassname contentType res accept -> Client -> OpenAPIPetstoreRequest TestClassname contentType res accept Source #
HasBodyParam TestClientModel Client Source # | Body Param Client - client model
Methods setBodyParam :: (Consumes TestClientModel contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest TestClientModel contentType res accept -> Client -> OpenAPIPetstoreRequest TestClientModel contentType res accept Source #
HasBodyParam Op123testSpecialTags Client Source # | Body Param Client - client model
Methods setBodyParam :: (Consumes Op123testSpecialTags contentType, MimeRender contentType Client) => OpenAPIPetstoreRequest Op123testSpecialTags contentType res accept -> Client -> OpenAPIPetstoreRequest Op123testSpecialTags contentType res accept Source #

mkClient :: Client Source #

Construct a value of type `Client` (by applying it's required fields, if any)

## Dog

data Dog Source #

Dog

Constructors

Dog |

Fields

- dogClassName :: !Text

  Required "className"

- dogColor :: !(Maybe Text)

  "color"

- dogBreed :: !(Maybe Text)

  "breed"

Instances

Eq Dog Source # |
Methods (==) :: Dog -> Dog -> Bool # (/=) :: Dog -> Dog -> Bool #
Show Dog Source # |
Methods showsPrec :: Int -> Dog -> ShowS # show :: Dog -> String # showList :: [Dog] -> ShowS #
ToJSON Dog Source # | ToJSON Dog
Methods toJSON :: Dog -> Value # toEncoding :: Dog -> Encoding # toJSONList :: [Dog] -> Value # toEncodingList :: [Dog] -> Encoding #
FromJSON Dog Source # | FromJSON Dog
Methods parseJSON :: Value -> Parser Dog # parseJSONList :: Value -> Parser [Dog] #

mkDog Source #

Arguments

:: Text | `dogClassName`
-> Dog |

Construct a value of type `Dog` (by applying it's required fields, if any)

## EnumArrays

data EnumArrays Source #

EnumArrays

Constructors

EnumArrays |

Fields

- enumArraysJustSymbol :: !(Maybe E'JustSymbol)

  "just_symbol"

- enumArraysArrayEnum :: !(Maybe [E'ArrayEnum])

  "array_enum"

Instances

Eq EnumArrays Source # |
Methods (==) :: EnumArrays -> EnumArrays -> Bool # (/=) :: EnumArrays -> EnumArrays -> Bool #
Show EnumArrays Source # |
Methods showsPrec :: Int -> EnumArrays -> ShowS # show :: EnumArrays -> String # showList :: [EnumArrays] -> ShowS #
ToJSON EnumArrays Source # | ToJSON EnumArrays
Methods toJSON :: EnumArrays -> Value # toEncoding :: EnumArrays -> Encoding # toJSONList :: [EnumArrays] -> Value # toEncodingList :: [EnumArrays] -> Encoding #
FromJSON EnumArrays Source # | FromJSON EnumArrays
Methods parseJSON :: Value -> Parser EnumArrays # parseJSONList :: Value -> Parser [EnumArrays] #

mkEnumArrays :: EnumArrays Source #

Construct a value of type `EnumArrays` (by applying it's required fields, if any)

## EnumTest

data EnumTest Source #

EnumTest

Constructors

EnumTest |

Fields

- enumTestEnumString :: !(Maybe E'EnumString)

  "enum_string"

- enumTestEnumStringRequired :: !E'EnumString

  Required "enum_string_required"

- enumTestEnumInteger :: !(Maybe E'EnumInteger)

  "enum_integer"

- enumTestEnumNumber :: !(Maybe E'EnumNumber)

  "enum_number"

- enumTestOuterEnum :: !(Maybe OuterEnum)

  "outerEnum"

Instances

Eq EnumTest Source # |
Methods (==) :: EnumTest -> EnumTest -> Bool # (/=) :: EnumTest -> EnumTest -> Bool #
Show EnumTest Source # |
Methods showsPrec :: Int -> EnumTest -> ShowS # show :: EnumTest -> String # showList :: [EnumTest] -> ShowS #
ToJSON EnumTest Source # | ToJSON EnumTest
Methods toJSON :: EnumTest -> Value # toEncoding :: EnumTest -> Encoding # toJSONList :: [EnumTest] -> Value # toEncodingList :: [EnumTest] -> Encoding #
FromJSON EnumTest Source # | FromJSON EnumTest
Methods parseJSON :: Value -> Parser EnumTest # parseJSONList :: Value -> Parser [EnumTest] #

mkEnumTest Source #

Arguments

:: E'EnumString | `enumTestEnumStringRequired`
-> EnumTest |

Construct a value of type `EnumTest` (by applying it's required fields, if any)

## File

data File Source #

File Must be named `File` for test.

Constructors

File |

Fields

- fileSourceUri :: !(Maybe Text)

  "sourceURI" - Test capitalization

Instances

Eq File Source # |
Methods (==) :: File -> File -> Bool # (/=) :: File -> File -> Bool #
Show File Source # |
Methods showsPrec :: Int -> File -> ShowS # show :: File -> String # showList :: [File] -> ShowS #
ToJSON File Source # | ToJSON File
Methods toJSON :: File -> Value # toEncoding :: File -> Encoding # toJSONList :: [File] -> Value # toEncodingList :: [File] -> Encoding #
FromJSON File Source # | FromJSON File
Methods parseJSON :: Value -> Parser File # parseJSONList :: Value -> Parser [File] #

mkFile :: File Source #

Construct a value of type `File` (by applying it's required fields, if any)

## FileSchemaTestClass

data FileSchemaTestClass Source #

FileSchemaTestClass

Constructors

FileSchemaTestClass |

Fields

- fileSchemaTestClassFile :: !(Maybe File)

  "file"

- fileSchemaTestClassFiles :: !(Maybe [File])

  "files"

Instances

Eq FileSchemaTestClass Source # |
Methods (==) :: FileSchemaTestClass -> FileSchemaTestClass -> Bool # (/=) :: FileSchemaTestClass -> FileSchemaTestClass -> Bool #
Show FileSchemaTestClass Source # |
Methods showsPrec :: Int -> FileSchemaTestClass -> ShowS # show :: FileSchemaTestClass -> String # showList :: [FileSchemaTestClass] -> ShowS #
ToJSON FileSchemaTestClass Source # | ToJSON FileSchemaTestClass
Methods toJSON :: FileSchemaTestClass -> Value # toEncoding :: FileSchemaTestClass -> Encoding # toJSONList :: [FileSchemaTestClass] -> Value # toEncodingList :: [FileSchemaTestClass] -> Encoding #
FromJSON FileSchemaTestClass Source # | FromJSON FileSchemaTestClass
Methods parseJSON :: Value -> Parser FileSchemaTestClass # parseJSONList :: Value -> Parser [FileSchemaTestClass] #
HasBodyParam TestBodyWithFileSchema FileSchemaTestClass Source # |
Methods setBodyParam :: (Consumes TestBodyWithFileSchema contentType, MimeRender contentType FileSchemaTestClass) => OpenAPIPetstoreRequest TestBodyWithFileSchema contentType res accept -> FileSchemaTestClass -> OpenAPIPetstoreRequest TestBodyWithFileSchema contentType res accept Source #

mkFileSchemaTestClass :: FileSchemaTestClass Source #

Construct a value of type `FileSchemaTestClass` (by applying it's required fields, if any)

## FormatTest

data FormatTest Source #

FormatTest

Constructors

FormatTest |

Fields

- formatTestInteger :: !(Maybe Int)

  "integer"

- formatTestInt32 :: !(Maybe Int)

  "int32"

- formatTestInt64 :: !(Maybe Integer)

  "int64"

- formatTestNumber :: !Double

  Required "number"

- formatTestFloat :: !(Maybe Float)

  "float"

- formatTestDouble :: !(Maybe Double)

  "double"

- formatTestString :: !(Maybe Text)

  "string"

- formatTestByte :: !ByteArray

  Required "byte"

- formatTestBinary :: !(Maybe FilePath)

  "binary"

- formatTestDate :: !Date

  Required "date"

- formatTestDateTime :: !(Maybe DateTime)

  "dateTime"

- formatTestUuid :: !(Maybe Text)

  "uuid"

- formatTestPassword :: !Text

  Required "password"

Instances

Eq FormatTest Source # |
Methods (==) :: FormatTest -> FormatTest -> Bool # (/=) :: FormatTest -> FormatTest -> Bool #
Show FormatTest Source # |
Methods showsPrec :: Int -> FormatTest -> ShowS # show :: FormatTest -> String # showList :: [FormatTest] -> ShowS #
ToJSON FormatTest Source # | ToJSON FormatTest
Methods toJSON :: FormatTest -> Value # toEncoding :: FormatTest -> Encoding # toJSONList :: [FormatTest] -> Value # toEncodingList :: [FormatTest] -> Encoding #
FromJSON FormatTest Source # | FromJSON FormatTest
Methods parseJSON :: Value -> Parser FormatTest # parseJSONList :: Value -> Parser [FormatTest] #

mkFormatTest Source #

Arguments

:: Double | `formatTestNumber`
-> ByteArray | `formatTestByte`
-> Date | `formatTestDate`
-> Text | `formatTestPassword`
-> FormatTest |

Construct a value of type `FormatTest` (by applying it's required fields, if any)

## HasOnlyReadOnly

data HasOnlyReadOnly Source #

HasOnlyReadOnly

Constructors

HasOnlyReadOnly |

Fields

- hasOnlyReadOnlyBar :: !(Maybe Text)

  "bar"

- hasOnlyReadOnlyFoo :: !(Maybe Text)

  "foo"

Instances

Eq HasOnlyReadOnly Source # |
Methods (==) :: HasOnlyReadOnly -> HasOnlyReadOnly -> Bool # (/=) :: HasOnlyReadOnly -> HasOnlyReadOnly -> Bool #
Show HasOnlyReadOnly Source # |
Methods showsPrec :: Int -> HasOnlyReadOnly -> ShowS # show :: HasOnlyReadOnly -> String # showList :: [HasOnlyReadOnly] -> ShowS #
ToJSON HasOnlyReadOnly Source # | ToJSON HasOnlyReadOnly
Methods toJSON :: HasOnlyReadOnly -> Value # toEncoding :: HasOnlyReadOnly -> Encoding # toJSONList :: [HasOnlyReadOnly] -> Value # toEncodingList :: [HasOnlyReadOnly] -> Encoding #
FromJSON HasOnlyReadOnly Source # | FromJSON HasOnlyReadOnly
Methods parseJSON :: Value -> Parser HasOnlyReadOnly # parseJSONList :: Value -> Parser [HasOnlyReadOnly] #

mkHasOnlyReadOnly :: HasOnlyReadOnly Source #

Construct a value of type `HasOnlyReadOnly` (by applying it's required fields, if any)

## MapTest

data MapTest Source #

MapTest

Constructors

MapTest |

Fields

- mapTestMapMapOfString :: !(Maybe (Map String (Map String Text)))

  "map_map_of_string"

- mapTestMapOfEnumString :: !(Maybe (Map String E'Inner))

  "map_of_enum_string"

- mapTestDirectMap :: !(Maybe (Map String Bool))

  "direct_map"

- mapTestIndirectMap :: !(Maybe StringBooleanMap)

  "indirect_map"

Instances

Eq MapTest Source # |
Methods (==) :: MapTest -> MapTest -> Bool # (/=) :: MapTest -> MapTest -> Bool #
Show MapTest Source # |
Methods showsPrec :: Int -> MapTest -> ShowS # show :: MapTest -> String # showList :: [MapTest] -> ShowS #
ToJSON MapTest Source # | ToJSON MapTest
Methods toJSON :: MapTest -> Value # toEncoding :: MapTest -> Encoding # toJSONList :: [MapTest] -> Value # toEncodingList :: [MapTest] -> Encoding #
FromJSON MapTest Source # | FromJSON MapTest
Methods parseJSON :: Value -> Parser MapTest # parseJSONList :: Value -> Parser [MapTest] #

mkMapTest :: MapTest Source #

Construct a value of type `MapTest` (by applying it's required fields, if any)

## MixedPropertiesAndAdditionalPropertiesClass

data MixedPropertiesAndAdditionalPropertiesClass Source #

MixedPropertiesAndAdditionalPropertiesClass

Constructors

MixedPropertiesAndAdditionalPropertiesClass |

Fields

- mixedPropertiesAndAdditionalPropertiesClassUuid :: !(Maybe Text)

  "uuid"

- mixedPropertiesAndAdditionalPropertiesClassDateTime :: !(Maybe DateTime)

  "dateTime"

- mixedPropertiesAndAdditionalPropertiesClassMap :: !(Maybe (Map String Animal))

  "map"

Instances

Eq MixedPropertiesAndAdditionalPropertiesClass Source # |
Methods (==) :: MixedPropertiesAndAdditionalPropertiesClass -> MixedPropertiesAndAdditionalPropertiesClass -> Bool # (/=) :: MixedPropertiesAndAdditionalPropertiesClass -> MixedPropertiesAndAdditionalPropertiesClass -> Bool #
Show MixedPropertiesAndAdditionalPropertiesClass Source # |
Methods showsPrec :: Int -> MixedPropertiesAndAdditionalPropertiesClass -> ShowS # show :: MixedPropertiesAndAdditionalPropertiesClass -> String # showList :: [MixedPropertiesAndAdditionalPropertiesClass] -> ShowS #
ToJSON MixedPropertiesAndAdditionalPropertiesClass Source # | ToJSON MixedPropertiesAndAdditionalPropertiesClass
Methods toJSON :: MixedPropertiesAndAdditionalPropertiesClass -> Value # toEncoding :: MixedPropertiesAndAdditionalPropertiesClass -> Encoding # toJSONList :: [MixedPropertiesAndAdditionalPropertiesClass] -> Value # toEncodingList :: [MixedPropertiesAndAdditionalPropertiesClass] -> Encoding #
FromJSON MixedPropertiesAndAdditionalPropertiesClass Source # | FromJSON MixedPropertiesAndAdditionalPropertiesClass
Methods parseJSON :: Value -> Parser MixedPropertiesAndAdditionalPropertiesClass # parseJSONList :: Value -> Parser [MixedPropertiesAndAdditionalPropertiesClass] #

mkMixedPropertiesAndAdditionalPropertiesClass :: MixedPropertiesAndAdditionalPropertiesClass Source #

Construct a value of type `MixedPropertiesAndAdditionalPropertiesClass` (by applying it's required fields, if any)

## Model200Response

data Model200Response Source #

Model200Response Model for testing model name starting with number

Constructors

Model200Response |

Fields

- model200ResponseName :: !(Maybe Int)

  "name"

- model200ResponseClass :: !(Maybe Text)

  "class"

Instances

Eq Model200Response Source # |
Methods (==) :: Model200Response -> Model200Response -> Bool # (/=) :: Model200Response -> Model200Response -> Bool #
Show Model200Response Source # |
Methods showsPrec :: Int -> Model200Response -> ShowS # show :: Model200Response -> String # showList :: [Model200Response] -> ShowS #
ToJSON Model200Response Source # | ToJSON Model200Response
Methods toJSON :: Model200Response -> Value # toEncoding :: Model200Response -> Encoding # toJSONList :: [Model200Response] -> Value # toEncodingList :: [Model200Response] -> Encoding #
FromJSON Model200Response Source # | FromJSON Model200Response
Methods parseJSON :: Value -> Parser Model200Response # parseJSONList :: Value -> Parser [Model200Response] #

mkModel200Response :: Model200Response Source #

Construct a value of type `Model200Response` (by applying it's required fields, if any)

## ModelList

data ModelList Source #

ModelList

Constructors

ModelList |

Fields

- modelList123list :: !(Maybe Text)

  "123-list"

Instances

Eq ModelList Source # |
Methods (==) :: ModelList -> ModelList -> Bool # (/=) :: ModelList -> ModelList -> Bool #
Show ModelList Source # |
Methods showsPrec :: Int -> ModelList -> ShowS # show :: ModelList -> String # showList :: [ModelList] -> ShowS #
ToJSON ModelList Source # | ToJSON ModelList
Methods toJSON :: ModelList -> Value # toEncoding :: ModelList -> Encoding # toJSONList :: [ModelList] -> Value # toEncodingList :: [ModelList] -> Encoding #
FromJSON ModelList Source # | FromJSON ModelList
Methods parseJSON :: Value -> Parser ModelList # parseJSONList :: Value -> Parser [ModelList] #

mkModelList :: ModelList Source #

Construct a value of type `ModelList` (by applying it's required fields, if any)

## ModelReturn

data ModelReturn Source #

ModelReturn Model for testing reserved words

Constructors

ModelReturn |

Fields

- modelReturnReturn :: !(Maybe Int)

  "return"

Instances

Eq ModelReturn Source # |
Methods (==) :: ModelReturn -> ModelReturn -> Bool # (/=) :: ModelReturn -> ModelReturn -> Bool #
Show ModelReturn Source # |
Methods showsPrec :: Int -> ModelReturn -> ShowS # show :: ModelReturn -> String # showList :: [ModelReturn] -> ShowS #
ToJSON ModelReturn Source # | ToJSON ModelReturn
Methods toJSON :: ModelReturn -> Value # toEncoding :: ModelReturn -> Encoding # toJSONList :: [ModelReturn] -> Value # toEncodingList :: [ModelReturn] -> Encoding #
FromJSON ModelReturn Source # | FromJSON ModelReturn
Methods parseJSON :: Value -> Parser ModelReturn # parseJSONList :: Value -> Parser [ModelReturn] #

mkModelReturn :: ModelReturn Source #

Construct a value of type `ModelReturn` (by applying it's required fields, if any)

## Name

data Name Source #

Name Model for testing model name same as property name

Constructors

Name |

Fields

- nameName :: !Int

  Required "name"

- nameSnakeCase :: !(Maybe Int)

  "snake_case"

- nameProperty :: !(Maybe Text)

  "property"

- name123number :: !(Maybe Int)

  "123Number"

Instances

Eq Name Source # |
Methods (==) :: Name -> Name -> Bool # (/=) :: Name -> Name -> Bool #
Show Name Source # |
Methods showsPrec :: Int -> Name -> ShowS # show :: Name -> String # showList :: [Name] -> ShowS #
ToJSON Name Source # | ToJSON Name
Methods toJSON :: Name -> Value # toEncoding :: Name -> Encoding # toJSONList :: [Name] -> Value # toEncodingList :: [Name] -> Encoding #
FromJSON Name Source # | FromJSON Name
Methods parseJSON :: Value -> Parser Name # parseJSONList :: Value -> Parser [Name] #

mkName Source #

Arguments

:: Int | `nameName`
-> Name |

Construct a value of type `Name` (by applying it's required fields, if any)

## NumberOnly

data NumberOnly Source #

NumberOnly

Constructors

NumberOnly |

Fields

- numberOnlyJustNumber :: !(Maybe Double)

  JustNumber

Instances

Eq NumberOnly Source # |
Methods (==) :: NumberOnly -> NumberOnly -> Bool # (/=) :: NumberOnly -> NumberOnly -> Bool #
Show NumberOnly Source # |
Methods showsPrec :: Int -> NumberOnly -> ShowS # show :: NumberOnly -> String # showList :: [NumberOnly] -> ShowS #
ToJSON NumberOnly Source # | ToJSON NumberOnly
Methods toJSON :: NumberOnly -> Value # toEncoding :: NumberOnly -> Encoding # toJSONList :: [NumberOnly] -> Value # toEncodingList :: [NumberOnly] -> Encoding #
FromJSON NumberOnly Source # | FromJSON NumberOnly
Methods parseJSON :: Value -> Parser NumberOnly # parseJSONList :: Value -> Parser [NumberOnly] #

mkNumberOnly :: NumberOnly Source #

Construct a value of type `NumberOnly` (by applying it's required fields, if any)

## Order

data Order Source #

Order

Constructors

Order |

Fields

- orderId :: !(Maybe Integer)

  "id"

- orderPetId :: !(Maybe Integer)

  "petId"

- orderQuantity :: !(Maybe Int)

  "quantity"

- orderShipDate :: !(Maybe DateTime)

  "shipDate"

- orderStatus :: !(Maybe E'Status)

  "status" - Order Status

- orderComplete :: !(Maybe Bool)

  "complete"

Instances

Eq Order Source # |
Methods (==) :: Order -> Order -> Bool # (/=) :: Order -> Order -> Bool #
Show Order Source # |
Methods showsPrec :: Int -> Order -> ShowS # show :: Order -> String # showList :: [Order] -> ShowS #
ToJSON Order Source # | ToJSON Order
Methods toJSON :: Order -> Value # toEncoding :: Order -> Encoding # toJSONList :: [Order] -> Value # toEncodingList :: [Order] -> Encoding #
FromJSON Order Source # | FromJSON Order
Methods parseJSON :: Value -> Parser Order # parseJSONList :: Value -> Parser [Order] #
HasBodyParam PlaceOrder Order Source # | Body Param Order - order placed for purchasing the pet
Methods setBodyParam :: (Consumes PlaceOrder contentType, MimeRender contentType Order) => OpenAPIPetstoreRequest PlaceOrder contentType res accept -> Order -> OpenAPIPetstoreRequest PlaceOrder contentType res accept Source #

mkOrder :: Order Source #

Construct a value of type `Order` (by applying it's required fields, if any)

## OuterComposite

data OuterComposite Source #

OuterComposite

Constructors

OuterComposite |

Fields

- outerCompositeMyNumber :: !(Maybe Double)

  "my_number"

- outerCompositeMyString :: !(Maybe Text)

  "my_string"

- outerCompositeMyBoolean :: !(Maybe Bool)

  "my_boolean"

Instances

Eq OuterComposite Source # |
Methods (==) :: OuterComposite -> OuterComposite -> Bool # (/=) :: OuterComposite -> OuterComposite -> Bool #
Show OuterComposite Source # |
Methods showsPrec :: Int -> OuterComposite -> ShowS # show :: OuterComposite -> String # showList :: [OuterComposite] -> ShowS #
ToJSON OuterComposite Source # | ToJSON OuterComposite
Methods toJSON :: OuterComposite -> Value # toEncoding :: OuterComposite -> Encoding # toJSONList :: [OuterComposite] -> Value # toEncodingList :: [OuterComposite] -> Encoding #
FromJSON OuterComposite Source # | FromJSON OuterComposite
Methods parseJSON :: Value -> Parser OuterComposite # parseJSONList :: Value -> Parser [OuterComposite] #
HasBodyParam FakeOuterCompositeSerialize OuterComposite Source # | Body Param OuterComposite - Input composite as post body
Methods setBodyParam :: (Consumes FakeOuterCompositeSerialize contentType, MimeRender contentType OuterComposite) => OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType res accept -> OuterComposite -> OpenAPIPetstoreRequest FakeOuterCompositeSerialize contentType res accept Source #

mkOuterComposite :: OuterComposite Source #

Construct a value of type `OuterComposite` (by applying it's required fields, if any)

## Pet

data Pet Source #

Pet

Constructors

Pet |

Fields

- petId :: !(Maybe Integer)

  "id"

- petCategory :: !(Maybe Category)

  "category"

- petName :: !Text

  Required "name"

- petPhotoUrls :: ![Text]

  Required "photoUrls"

- petTags :: !(Maybe [Tag])

  "tags"

- petStatus :: !(Maybe E'Status2)

  "status" - pet status in the store

Instances

Eq Pet Source # |
Methods (==) :: Pet -> Pet -> Bool # (/=) :: Pet -> Pet -> Bool #
Show Pet Source # |
Methods showsPrec :: Int -> Pet -> ShowS # show :: Pet -> String # showList :: [Pet] -> ShowS #
ToJSON Pet Source # | ToJSON Pet
Methods toJSON :: Pet -> Value # toEncoding :: Pet -> Encoding # toJSONList :: [Pet] -> Value # toEncodingList :: [Pet] -> Encoding #
FromJSON Pet Source # | FromJSON Pet
Methods parseJSON :: Value -> Parser Pet # parseJSONList :: Value -> Parser [Pet] #
HasBodyParam UpdatePet Pet Source # | Body Param Pet - Pet object that needs to be added to the store
Methods setBodyParam :: (Consumes UpdatePet contentType, MimeRender contentType Pet) => OpenAPIPetstoreRequest UpdatePet contentType res accept -> Pet -> OpenAPIPetstoreRequest UpdatePet contentType res accept Source #
HasBodyParam AddPet Pet Source # | Body Param Pet - Pet object that needs to be added to the store
Methods setBodyParam :: (Consumes AddPet contentType, MimeRender contentType Pet) => OpenAPIPetstoreRequest AddPet contentType res accept -> Pet -> OpenAPIPetstoreRequest AddPet contentType res accept Source #

mkPet Source #

Arguments

:: Text | `petName`
-> [Text] | `petPhotoUrls`
-> Pet |

Construct a value of type `Pet` (by applying it's required fields, if any)

## ReadOnlyFirst

data ReadOnlyFirst Source #

ReadOnlyFirst

Constructors

ReadOnlyFirst |

Fields

- readOnlyFirstBar :: !(Maybe Text)

  "bar"

- readOnlyFirstBaz :: !(Maybe Text)

  "baz"

Instances

Eq ReadOnlyFirst Source # |
Methods (==) :: ReadOnlyFirst -> ReadOnlyFirst -> Bool # (/=) :: ReadOnlyFirst -> ReadOnlyFirst -> Bool #
Show ReadOnlyFirst Source # |
Methods showsPrec :: Int -> ReadOnlyFirst -> ShowS # show :: ReadOnlyFirst -> String # showList :: [ReadOnlyFirst] -> ShowS #
ToJSON ReadOnlyFirst Source # | ToJSON ReadOnlyFirst
Methods toJSON :: ReadOnlyFirst -> Value # toEncoding :: ReadOnlyFirst -> Encoding # toJSONList :: [ReadOnlyFirst] -> Value # toEncodingList :: [ReadOnlyFirst] -> Encoding #
FromJSON ReadOnlyFirst Source # | FromJSON ReadOnlyFirst
Methods parseJSON :: Value -> Parser ReadOnlyFirst # parseJSONList :: Value -> Parser [ReadOnlyFirst] #

mkReadOnlyFirst :: ReadOnlyFirst Source #

Construct a value of type `ReadOnlyFirst` (by applying it's required fields, if any)

## SpecialModelName

data SpecialModelName Source #

SpecialModelName

Constructors

SpecialModelName |

Fields

- specialModelNameSpecialPropertyName :: !(Maybe Integer)

  "$special[property.name]"

Instances

Eq SpecialModelName Source # |
Methods (==) :: SpecialModelName -> SpecialModelName -> Bool # (/=) :: SpecialModelName -> SpecialModelName -> Bool #
Show SpecialModelName Source # |
Methods showsPrec :: Int -> SpecialModelName -> ShowS # show :: SpecialModelName -> String # showList :: [SpecialModelName] -> ShowS #
ToJSON SpecialModelName Source # | ToJSON SpecialModelName
Methods toJSON :: SpecialModelName -> Value # toEncoding :: SpecialModelName -> Encoding # toJSONList :: [SpecialModelName] -> Value # toEncodingList :: [SpecialModelName] -> Encoding #
FromJSON SpecialModelName Source # | FromJSON SpecialModelName
Methods parseJSON :: Value -> Parser SpecialModelName # parseJSONList :: Value -> Parser [SpecialModelName] #

mkSpecialModelName :: SpecialModelName Source #

Construct a value of type `SpecialModelName` (by applying it's required fields, if any)

## StringBooleanMap

data StringBooleanMap Source #

StringBooleanMap

Constructors

StringBooleanMap |

Instances

Eq StringBooleanMap Source # |
Methods (==) :: StringBooleanMap -> StringBooleanMap -> Bool # (/=) :: StringBooleanMap -> StringBooleanMap -> Bool #
Show StringBooleanMap Source # |
Methods showsPrec :: Int -> StringBooleanMap -> ShowS # show :: StringBooleanMap -> String # showList :: [StringBooleanMap] -> ShowS #
ToJSON StringBooleanMap Source # | ToJSON StringBooleanMap
Methods toJSON :: StringBooleanMap -> Value # toEncoding :: StringBooleanMap -> Encoding # toJSONList :: [StringBooleanMap] -> Value # toEncodingList :: [StringBooleanMap] -> Encoding #
FromJSON StringBooleanMap Source # | FromJSON StringBooleanMap
Methods parseJSON :: Value -> Parser StringBooleanMap # parseJSONList :: Value -> Parser [StringBooleanMap] #

mkStringBooleanMap :: StringBooleanMap Source #

Construct a value of type `StringBooleanMap` (by applying it's required fields, if any)

## Tag

data Tag Source #

Tag

Constructors

Tag |

Fields

- tagId :: !(Maybe Integer)

  "id"

- tagName :: !(Maybe Text)

  "name"

Instances

Eq Tag Source # |
Methods (==) :: Tag -> Tag -> Bool # (/=) :: Tag -> Tag -> Bool #
Show Tag Source # |
Methods showsPrec :: Int -> Tag -> ShowS # show :: Tag -> String # showList :: [Tag] -> ShowS #
ToJSON Tag Source # | ToJSON Tag
Methods toJSON :: Tag -> Value # toEncoding :: Tag -> Encoding # toJSONList :: [Tag] -> Value # toEncodingList :: [Tag] -> Encoding #
FromJSON Tag Source # | FromJSON Tag
Methods parseJSON :: Value -> Parser Tag # parseJSONList :: Value -> Parser [Tag] #

mkTag :: Tag Source #

Construct a value of type `Tag` (by applying it's required fields, if any)

## User

data User Source #

User

Constructors

User |

Fields

- userId :: !(Maybe Integer)

  "id"

- userUsername :: !(Maybe Text)

  "username"

- userFirstName :: !(Maybe Text)

  "firstName"

- userLastName :: !(Maybe Text)

  "lastName"

- userEmail :: !(Maybe Text)

  "email"

- userPassword :: !(Maybe Text)

  "password"

- userPhone :: !(Maybe Text)

  "phone"

- userUserStatus :: !(Maybe Int)

  "userStatus" - User Status

Instances

Eq User Source # |
Methods (==) :: User -> User -> Bool # (/=) :: User -> User -> Bool #
Show User Source # |
Methods showsPrec :: Int -> User -> ShowS # show :: User -> String # showList :: [User] -> ShowS #
ToJSON User Source # | ToJSON User
Methods toJSON :: User -> Value # toEncoding :: User -> Encoding # toJSONList :: [User] -> Value # toEncodingList :: [User] -> Encoding #
FromJSON User Source # | FromJSON User
Methods parseJSON :: Value -> Parser User # parseJSONList :: Value -> Parser [User] #
HasBodyParam UpdateUser User Source # | Body Param User - Updated user object
Methods setBodyParam :: (Consumes UpdateUser contentType, MimeRender contentType User) => OpenAPIPetstoreRequest UpdateUser contentType res accept -> User -> OpenAPIPetstoreRequest UpdateUser contentType res accept Source #
HasBodyParam CreateUser User Source # | Body Param User - Created user object
Methods setBodyParam :: (Consumes CreateUser contentType, MimeRender contentType User) => OpenAPIPetstoreRequest CreateUser contentType res accept -> User -> OpenAPIPetstoreRequest CreateUser contentType res accept Source #
HasBodyParam TestBodyWithQueryParams User Source # |
Methods setBodyParam :: (Consumes TestBodyWithQueryParams contentType, MimeRender contentType User) => OpenAPIPetstoreRequest TestBodyWithQueryParams contentType res accept -> User -> OpenAPIPetstoreRequest TestBodyWithQueryParams contentType res accept Source #

mkUser :: User Source #

Construct a value of type `User` (by applying it's required fields, if any)

# Enums

## E'ArrayEnum

data E'ArrayEnum Source #

Enum of `Text`

Constructors

E'ArrayEnum'Fish

    "fish"

E'ArrayEnum'Crab

    "crab"

Instances

Bounded E'ArrayEnum Source # |
Methods minBound :: E'ArrayEnum # maxBound :: E'ArrayEnum #
Enum E'ArrayEnum Source # |
Methods succ :: E'ArrayEnum -> E'ArrayEnum # pred :: E'ArrayEnum -> E'ArrayEnum # toEnum :: Int -> E'ArrayEnum # fromEnum :: E'ArrayEnum -> Int # enumFrom :: E'ArrayEnum -> [E'ArrayEnum] # enumFromThen :: E'ArrayEnum -> E'ArrayEnum -> [E'ArrayEnum] # enumFromTo :: E'ArrayEnum -> E'ArrayEnum -> [E'ArrayEnum] # enumFromThenTo :: E'ArrayEnum -> E'ArrayEnum -> E'ArrayEnum -> [E'ArrayEnum] #
Eq E'ArrayEnum Source # |
Methods (==) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (/=) :: E'ArrayEnum -> E'ArrayEnum -> Bool #
Ord E'ArrayEnum Source # |
Methods compare :: E'ArrayEnum -> E'ArrayEnum -> Ordering # (<) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (<=) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (>) :: E'ArrayEnum -> E'ArrayEnum -> Bool # (>=) :: E'ArrayEnum -> E'ArrayEnum -> Bool # max :: E'ArrayEnum -> E'ArrayEnum -> E'ArrayEnum # min :: E'ArrayEnum -> E'ArrayEnum -> E'ArrayEnum #
Show E'ArrayEnum Source # |
Methods showsPrec :: Int -> E'ArrayEnum -> ShowS # show :: E'ArrayEnum -> String # showList :: [E'ArrayEnum] -> ShowS #
ToJSON E'ArrayEnum Source # |
Methods toJSON :: E'ArrayEnum -> Value # toEncoding :: E'ArrayEnum -> Encoding # toJSONList :: [E'ArrayEnum] -> Value # toEncodingList :: [E'ArrayEnum] -> Encoding #
FromJSON E'ArrayEnum Source # |
Methods parseJSON :: Value -> Parser E'ArrayEnum # parseJSONList :: Value -> Parser [E'ArrayEnum] #
ToHttpApiData E'ArrayEnum Source # |
Methods toUrlPiece :: E'ArrayEnum -> Text # toEncodedUrlPiece :: E'ArrayEnum -> Builder # toHeader :: E'ArrayEnum -> ByteString # toQueryParam :: E'ArrayEnum -> Text #
FromHttpApiData E'ArrayEnum Source # |
Methods parseUrlPiece :: Text -> Either Text E'ArrayEnum # parseHeader :: ByteString -> Either Text E'ArrayEnum # parseQueryParam :: Text -> Either Text E'ArrayEnum #
MimeRender MimeMultipartFormData E'ArrayEnum Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'ArrayEnum -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'ArrayEnum -> ByteString Source #

fromE'ArrayEnum :: E'ArrayEnum -> Text Source #

unwrap `E'ArrayEnum` enum

toE'ArrayEnum :: Text -> Either String E'ArrayEnum Source #

parse `E'ArrayEnum` enum

## E'EnumFormString

data E'EnumFormString Source #

Enum of `Text` . Form parameter enum test (string)

Constructors

E'EnumFormString'_abc

    "_abc"

E'EnumFormString'_efg

    "-efg"

E'EnumFormString'_xyz

    "(xyz)"

Instances

Bounded E'EnumFormString Source # |
Methods minBound :: E'EnumFormString # maxBound :: E'EnumFormString #
Enum E'EnumFormString Source # |

Methods

succ :: E'EnumFormString -> E'EnumFormString #

pred :: E'EnumFormString -> E'EnumFormString #

toEnum :: Int -> E'EnumFormString #

fromEnum :: E'EnumFormString -> Int #

enumFrom :: E'EnumFormString -> [E'EnumFormString] #

enumFromThen :: E'EnumFormString -> E'EnumFormString -> [E'EnumFormString] #

enumFromTo :: E'EnumFormString -> E'EnumFormString -> [E'EnumFormString] #

enumFromThenTo :: E'EnumFormString -> E'EnumFormString -> E'EnumFormString -> [E'EnumFormString] #

Eq E'EnumFormString Source # |
Methods (==) :: E'EnumFormString -> E'EnumFormString -> Bool # (/=) :: E'EnumFormString -> E'EnumFormString -> Bool #
Ord E'EnumFormString Source # |

Methods

compare :: E'EnumFormString -> E'EnumFormString -> Ordering #

(<) :: E'EnumFormString -> E'EnumFormString -> Bool #

(<=) :: E'EnumFormString -> E'EnumFormString -> Bool #

(>) :: E'EnumFormString -> E'EnumFormString -> Bool #

(>=) :: E'EnumFormString -> E'EnumFormString -> Bool #

max :: E'EnumFormString -> E'EnumFormString -> E'EnumFormString #

min :: E'EnumFormString -> E'EnumFormString -> E'EnumFormString #

Show E'EnumFormString Source # |
Methods showsPrec :: Int -> E'EnumFormString -> ShowS # show :: E'EnumFormString -> String # showList :: [E'EnumFormString] -> ShowS #
ToJSON E'EnumFormString Source # |
Methods toJSON :: E'EnumFormString -> Value # toEncoding :: E'EnumFormString -> Encoding # toJSONList :: [E'EnumFormString] -> Value # toEncodingList :: [E'EnumFormString] -> Encoding #
FromJSON E'EnumFormString Source # |
Methods parseJSON :: Value -> Parser E'EnumFormString # parseJSONList :: Value -> Parser [E'EnumFormString] #
ToHttpApiData E'EnumFormString Source # |
Methods toUrlPiece :: E'EnumFormString -> Text # toEncodedUrlPiece :: E'EnumFormString -> Builder # toHeader :: E'EnumFormString -> ByteString # toQueryParam :: E'EnumFormString -> Text #
FromHttpApiData E'EnumFormString Source # |
Methods parseUrlPiece :: Text -> Either Text E'EnumFormString # parseHeader :: ByteString -> Either Text E'EnumFormString # parseQueryParam :: Text -> Either Text E'EnumFormString #
MimeRender MimeMultipartFormData E'EnumFormString Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'EnumFormString -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumFormString -> ByteString Source #

fromE'EnumFormString :: E'EnumFormString -> Text Source #

unwrap `E'EnumFormString` enum

toE'EnumFormString :: Text -> Either String E'EnumFormString Source #

parse `E'EnumFormString` enum

## E'EnumFormStringArray

data E'EnumFormStringArray Source #

Enum of `Text`

Constructors

E'EnumFormStringArray'GreaterThan

    ">"

E'EnumFormStringArray'Dollar

    "$"

Instances

Bounded E'EnumFormStringArray Source # |
Methods minBound :: E'EnumFormStringArray # maxBound :: E'EnumFormStringArray #
Enum E'EnumFormStringArray Source # |

Methods

succ :: E'EnumFormStringArray -> E'EnumFormStringArray #

pred :: E'EnumFormStringArray -> E'EnumFormStringArray #

toEnum :: Int -> E'EnumFormStringArray #

fromEnum :: E'EnumFormStringArray -> Int #

enumFrom :: E'EnumFormStringArray -> [E'EnumFormStringArray] #

enumFromThen :: E'EnumFormStringArray -> E'EnumFormStringArray -> [E'EnumFormStringArray] #

enumFromTo :: E'EnumFormStringArray -> E'EnumFormStringArray -> [E'EnumFormStringArray] #

enumFromThenTo :: E'EnumFormStringArray -> E'EnumFormStringArray -> E'EnumFormStringArray -> [E'EnumFormStringArray] #

Eq E'EnumFormStringArray Source # |
Methods (==) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool # (/=) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #
Ord E'EnumFormStringArray Source # |

Methods

compare :: E'EnumFormStringArray -> E'EnumFormStringArray -> Ordering #

(<) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

(<=) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

(>) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

(>=) :: E'EnumFormStringArray -> E'EnumFormStringArray -> Bool #

max :: E'EnumFormStringArray -> E'EnumFormStringArray -> E'EnumFormStringArray #

min :: E'EnumFormStringArray -> E'EnumFormStringArray -> E'EnumFormStringArray #

Show E'EnumFormStringArray Source # |
Methods showsPrec :: Int -> E'EnumFormStringArray -> ShowS # show :: E'EnumFormStringArray -> String # showList :: [E'EnumFormStringArray] -> ShowS #
ToJSON E'EnumFormStringArray Source # |
Methods toJSON :: E'EnumFormStringArray -> Value # toEncoding :: E'EnumFormStringArray -> Encoding # toJSONList :: [E'EnumFormStringArray] -> Value # toEncodingList :: [E'EnumFormStringArray] -> Encoding #
FromJSON E'EnumFormStringArray Source # |
Methods parseJSON :: Value -> Parser E'EnumFormStringArray # parseJSONList :: Value -> Parser [E'EnumFormStringArray] #
ToHttpApiData E'EnumFormStringArray Source # |
Methods toUrlPiece :: E'EnumFormStringArray -> Text # toEncodedUrlPiece :: E'EnumFormStringArray -> Builder # toHeader :: E'EnumFormStringArray -> ByteString # toQueryParam :: E'EnumFormStringArray -> Text #
FromHttpApiData E'EnumFormStringArray Source # |
Methods parseUrlPiece :: Text -> Either Text E'EnumFormStringArray # parseHeader :: ByteString -> Either Text E'EnumFormStringArray # parseQueryParam :: Text -> Either Text E'EnumFormStringArray #
MimeRender MimeMultipartFormData E'EnumFormStringArray Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'EnumFormStringArray -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumFormStringArray -> ByteString Source #

fromE'EnumFormStringArray :: E'EnumFormStringArray -> Text Source #

unwrap `E'EnumFormStringArray` enum

toE'EnumFormStringArray :: Text -> Either String E'EnumFormStringArray Source #

parse `E'EnumFormStringArray` enum

## E'EnumInteger

data E'EnumInteger Source #

Enum of `Int`

Constructors

E'EnumInteger'Num1

    1

E'EnumInteger'NumMinus_1

    -1

Instances

Bounded E'EnumInteger Source # |
Methods minBound :: E'EnumInteger # maxBound :: E'EnumInteger #
Enum E'EnumInteger Source # |

Methods

succ :: E'EnumInteger -> E'EnumInteger #

pred :: E'EnumInteger -> E'EnumInteger #

toEnum :: Int -> E'EnumInteger #

fromEnum :: E'EnumInteger -> Int #

enumFrom :: E'EnumInteger -> [E'EnumInteger] #

enumFromThen :: E'EnumInteger -> E'EnumInteger -> [E'EnumInteger] #

enumFromTo :: E'EnumInteger -> E'EnumInteger -> [E'EnumInteger] #

enumFromThenTo :: E'EnumInteger -> E'EnumInteger -> E'EnumInteger -> [E'EnumInteger] #

Eq E'EnumInteger Source # |
Methods (==) :: E'EnumInteger -> E'EnumInteger -> Bool # (/=) :: E'EnumInteger -> E'EnumInteger -> Bool #
Ord E'EnumInteger Source # |
Methods compare :: E'EnumInteger -> E'EnumInteger -> Ordering # (<) :: E'EnumInteger -> E'EnumInteger -> Bool # (<=) :: E'EnumInteger -> E'EnumInteger -> Bool # (>) :: E'EnumInteger -> E'EnumInteger -> Bool # (>=) :: E'EnumInteger -> E'EnumInteger -> Bool # max :: E'EnumInteger -> E'EnumInteger -> E'EnumInteger # min :: E'EnumInteger -> E'EnumInteger -> E'EnumInteger #
Show E'EnumInteger Source # |
Methods showsPrec :: Int -> E'EnumInteger -> ShowS # show :: E'EnumInteger -> String # showList :: [E'EnumInteger] -> ShowS #
ToJSON E'EnumInteger Source # |
Methods toJSON :: E'EnumInteger -> Value # toEncoding :: E'EnumInteger -> Encoding # toJSONList :: [E'EnumInteger] -> Value # toEncodingList :: [E'EnumInteger] -> Encoding #
FromJSON E'EnumInteger Source # |
Methods parseJSON :: Value -> Parser E'EnumInteger # parseJSONList :: Value -> Parser [E'EnumInteger] #
ToHttpApiData E'EnumInteger Source # |
Methods toUrlPiece :: E'EnumInteger -> Text # toEncodedUrlPiece :: E'EnumInteger -> Builder # toHeader :: E'EnumInteger -> ByteString # toQueryParam :: E'EnumInteger -> Text #
FromHttpApiData E'EnumInteger Source # |
Methods parseUrlPiece :: Text -> Either Text E'EnumInteger # parseHeader :: ByteString -> Either Text E'EnumInteger # parseQueryParam :: Text -> Either Text E'EnumInteger #
MimeRender MimeMultipartFormData E'EnumInteger Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'EnumInteger -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumInteger -> ByteString Source #

fromE'EnumInteger :: E'EnumInteger -> Int Source #

unwrap `E'EnumInteger` enum

toE'EnumInteger :: Int -> Either String E'EnumInteger Source #

parse `E'EnumInteger` enum

## E'EnumNumber

data E'EnumNumber Source #

Enum of `Double`

Constructors

E'EnumNumber'Num1_Dot_1

    1.1

E'EnumNumber'NumMinus_1_Dot_2

    -1.2

Instances

Bounded E'EnumNumber Source # |
Methods minBound :: E'EnumNumber # maxBound :: E'EnumNumber #
Enum E'EnumNumber Source # |

Methods

succ :: E'EnumNumber -> E'EnumNumber #

pred :: E'EnumNumber -> E'EnumNumber #

toEnum :: Int -> E'EnumNumber #

fromEnum :: E'EnumNumber -> Int #

enumFrom :: E'EnumNumber -> [E'EnumNumber] #

enumFromThen :: E'EnumNumber -> E'EnumNumber -> [E'EnumNumber] #

enumFromTo :: E'EnumNumber -> E'EnumNumber -> [E'EnumNumber] #

enumFromThenTo :: E'EnumNumber -> E'EnumNumber -> E'EnumNumber -> [E'EnumNumber] #

Eq E'EnumNumber Source # |
Methods (==) :: E'EnumNumber -> E'EnumNumber -> Bool # (/=) :: E'EnumNumber -> E'EnumNumber -> Bool #
Ord E'EnumNumber Source # |
Methods compare :: E'EnumNumber -> E'EnumNumber -> Ordering # (<) :: E'EnumNumber -> E'EnumNumber -> Bool # (<=) :: E'EnumNumber -> E'EnumNumber -> Bool # (>) :: E'EnumNumber -> E'EnumNumber -> Bool # (>=) :: E'EnumNumber -> E'EnumNumber -> Bool # max :: E'EnumNumber -> E'EnumNumber -> E'EnumNumber # min :: E'EnumNumber -> E'EnumNumber -> E'EnumNumber #
Show E'EnumNumber Source # |
Methods showsPrec :: Int -> E'EnumNumber -> ShowS # show :: E'EnumNumber -> String # showList :: [E'EnumNumber] -> ShowS #
ToJSON E'EnumNumber Source # |
Methods toJSON :: E'EnumNumber -> Value # toEncoding :: E'EnumNumber -> Encoding # toJSONList :: [E'EnumNumber] -> Value # toEncodingList :: [E'EnumNumber] -> Encoding #
FromJSON E'EnumNumber Source # |
Methods parseJSON :: Value -> Parser E'EnumNumber # parseJSONList :: Value -> Parser [E'EnumNumber] #
ToHttpApiData E'EnumNumber Source # |
Methods toUrlPiece :: E'EnumNumber -> Text # toEncodedUrlPiece :: E'EnumNumber -> Builder # toHeader :: E'EnumNumber -> ByteString # toQueryParam :: E'EnumNumber -> Text #
FromHttpApiData E'EnumNumber Source # |
Methods parseUrlPiece :: Text -> Either Text E'EnumNumber # parseHeader :: ByteString -> Either Text E'EnumNumber # parseQueryParam :: Text -> Either Text E'EnumNumber #
MimeRender MimeMultipartFormData E'EnumNumber Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'EnumNumber -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumNumber -> ByteString Source #

fromE'EnumNumber :: E'EnumNumber -> Double Source #

unwrap `E'EnumNumber` enum

toE'EnumNumber :: Double -> Either String E'EnumNumber Source #

parse `E'EnumNumber` enum

## E'EnumQueryInteger

data E'EnumQueryInteger Source #

Enum of `Int`

Constructors

E'EnumQueryInteger'Num1

    1

E'EnumQueryInteger'NumMinus_2

    -2

Instances

Bounded E'EnumQueryInteger Source # |
Methods minBound :: E'EnumQueryInteger # maxBound :: E'EnumQueryInteger #
Enum E'EnumQueryInteger Source # |

Methods

succ :: E'EnumQueryInteger -> E'EnumQueryInteger #

pred :: E'EnumQueryInteger -> E'EnumQueryInteger #

toEnum :: Int -> E'EnumQueryInteger #

fromEnum :: E'EnumQueryInteger -> Int #

enumFrom :: E'EnumQueryInteger -> [E'EnumQueryInteger] #

enumFromThen :: E'EnumQueryInteger -> E'EnumQueryInteger -> [E'EnumQueryInteger] #

enumFromTo :: E'EnumQueryInteger -> E'EnumQueryInteger -> [E'EnumQueryInteger] #

enumFromThenTo :: E'EnumQueryInteger -> E'EnumQueryInteger -> E'EnumQueryInteger -> [E'EnumQueryInteger] #

Eq E'EnumQueryInteger Source # |
Methods (==) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool # (/=) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #
Ord E'EnumQueryInteger Source # |

Methods

compare :: E'EnumQueryInteger -> E'EnumQueryInteger -> Ordering #

(<) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

(<=) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

(>) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

(>=) :: E'EnumQueryInteger -> E'EnumQueryInteger -> Bool #

max :: E'EnumQueryInteger -> E'EnumQueryInteger -> E'EnumQueryInteger #

min :: E'EnumQueryInteger -> E'EnumQueryInteger -> E'EnumQueryInteger #

Show E'EnumQueryInteger Source # |
Methods showsPrec :: Int -> E'EnumQueryInteger -> ShowS # show :: E'EnumQueryInteger -> String # showList :: [E'EnumQueryInteger] -> ShowS #
ToJSON E'EnumQueryInteger Source # |
Methods toJSON :: E'EnumQueryInteger -> Value # toEncoding :: E'EnumQueryInteger -> Encoding # toJSONList :: [E'EnumQueryInteger] -> Value # toEncodingList :: [E'EnumQueryInteger] -> Encoding #
FromJSON E'EnumQueryInteger Source # |
Methods parseJSON :: Value -> Parser E'EnumQueryInteger # parseJSONList :: Value -> Parser [E'EnumQueryInteger] #
ToHttpApiData E'EnumQueryInteger Source # |
Methods toUrlPiece :: E'EnumQueryInteger -> Text # toEncodedUrlPiece :: E'EnumQueryInteger -> Builder # toHeader :: E'EnumQueryInteger -> ByteString # toQueryParam :: E'EnumQueryInteger -> Text #
FromHttpApiData E'EnumQueryInteger Source # |
Methods parseUrlPiece :: Text -> Either Text E'EnumQueryInteger # parseHeader :: ByteString -> Either Text E'EnumQueryInteger # parseQueryParam :: Text -> Either Text E'EnumQueryInteger #
MimeRender MimeMultipartFormData E'EnumQueryInteger Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'EnumQueryInteger -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumQueryInteger -> ByteString Source #

fromE'EnumQueryInteger :: E'EnumQueryInteger -> Int Source #

unwrap `E'EnumQueryInteger` enum

toE'EnumQueryInteger :: Int -> Either String E'EnumQueryInteger Source #

parse `E'EnumQueryInteger` enum

## E'EnumString

data E'EnumString Source #

Enum of `Text`

Constructors

E'EnumString'UPPER

    UPPER

E'EnumString'Lower

    "lower"

E'EnumString'Empty

    ""

Instances

Bounded E'EnumString Source # |
Methods minBound :: E'EnumString # maxBound :: E'EnumString #
Enum E'EnumString Source # |

Methods

succ :: E'EnumString -> E'EnumString #

pred :: E'EnumString -> E'EnumString #

toEnum :: Int -> E'EnumString #

fromEnum :: E'EnumString -> Int #

enumFrom :: E'EnumString -> [E'EnumString] #

enumFromThen :: E'EnumString -> E'EnumString -> [E'EnumString] #

enumFromTo :: E'EnumString -> E'EnumString -> [E'EnumString] #

enumFromThenTo :: E'EnumString -> E'EnumString -> E'EnumString -> [E'EnumString] #

Eq E'EnumString Source # |
Methods (==) :: E'EnumString -> E'EnumString -> Bool # (/=) :: E'EnumString -> E'EnumString -> Bool #
Ord E'EnumString Source # |
Methods compare :: E'EnumString -> E'EnumString -> Ordering # (<) :: E'EnumString -> E'EnumString -> Bool # (<=) :: E'EnumString -> E'EnumString -> Bool # (>) :: E'EnumString -> E'EnumString -> Bool # (>=) :: E'EnumString -> E'EnumString -> Bool # max :: E'EnumString -> E'EnumString -> E'EnumString # min :: E'EnumString -> E'EnumString -> E'EnumString #
Show E'EnumString Source # |
Methods showsPrec :: Int -> E'EnumString -> ShowS # show :: E'EnumString -> String # showList :: [E'EnumString] -> ShowS #
ToJSON E'EnumString Source # |
Methods toJSON :: E'EnumString -> Value # toEncoding :: E'EnumString -> Encoding # toJSONList :: [E'EnumString] -> Value # toEncodingList :: [E'EnumString] -> Encoding #
FromJSON E'EnumString Source # |
Methods parseJSON :: Value -> Parser E'EnumString # parseJSONList :: Value -> Parser [E'EnumString] #
ToHttpApiData E'EnumString Source # |
Methods toUrlPiece :: E'EnumString -> Text # toEncodedUrlPiece :: E'EnumString -> Builder # toHeader :: E'EnumString -> ByteString # toQueryParam :: E'EnumString -> Text #
FromHttpApiData E'EnumString Source # |
Methods parseUrlPiece :: Text -> Either Text E'EnumString # parseHeader :: ByteString -> Either Text E'EnumString # parseQueryParam :: Text -> Either Text E'EnumString #
MimeRender MimeMultipartFormData E'EnumString Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'EnumString -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'EnumString -> ByteString Source #

fromE'EnumString :: E'EnumString -> Text Source #

unwrap `E'EnumString` enum

toE'EnumString :: Text -> Either String E'EnumString Source #

parse `E'EnumString` enum

## E'Inner

data E'Inner Source #

Enum of `Text`

Constructors

E'Inner'UPPER

    UPPER

E'Inner'Lower

    "lower"

Instances

Bounded E'Inner Source # |
Methods minBound :: E'Inner # maxBound :: E'Inner #
Enum E'Inner Source # |
Methods succ :: E'Inner -> E'Inner # pred :: E'Inner -> E'Inner # toEnum :: Int -> E'Inner # fromEnum :: E'Inner -> Int # enumFrom :: E'Inner -> [E'Inner] # enumFromThen :: E'Inner -> E'Inner -> [E'Inner] # enumFromTo :: E'Inner -> E'Inner -> [E'Inner] # enumFromThenTo :: E'Inner -> E'Inner -> E'Inner -> [E'Inner] #
Eq E'Inner Source # |
Methods (==) :: E'Inner -> E'Inner -> Bool # (/=) :: E'Inner -> E'Inner -> Bool #
Ord E'Inner Source # |
Methods compare :: E'Inner -> E'Inner -> Ordering # (<) :: E'Inner -> E'Inner -> Bool # (<=) :: E'Inner -> E'Inner -> Bool # (>) :: E'Inner -> E'Inner -> Bool # (>=) :: E'Inner -> E'Inner -> Bool # max :: E'Inner -> E'Inner -> E'Inner # min :: E'Inner -> E'Inner -> E'Inner #
Show E'Inner Source # |
Methods showsPrec :: Int -> E'Inner -> ShowS # show :: E'Inner -> String # showList :: [E'Inner] -> ShowS #
ToJSON E'Inner Source # |
Methods toJSON :: E'Inner -> Value # toEncoding :: E'Inner -> Encoding # toJSONList :: [E'Inner] -> Value # toEncodingList :: [E'Inner] -> Encoding #
FromJSON E'Inner Source # |
Methods parseJSON :: Value -> Parser E'Inner # parseJSONList :: Value -> Parser [E'Inner] #
ToHttpApiData E'Inner Source # |
Methods toUrlPiece :: E'Inner -> Text # toEncodedUrlPiece :: E'Inner -> Builder # toHeader :: E'Inner -> ByteString # toQueryParam :: E'Inner -> Text #
FromHttpApiData E'Inner Source # |
Methods parseUrlPiece :: Text -> Either Text E'Inner # parseHeader :: ByteString -> Either Text E'Inner # parseQueryParam :: Text -> Either Text E'Inner #
MimeRender MimeMultipartFormData E'Inner Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'Inner -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Inner -> ByteString Source #

fromE'Inner :: E'Inner -> Text Source #

unwrap `E'Inner` enum

toE'Inner :: Text -> Either String E'Inner Source #

parse `E'Inner` enum

## E'JustSymbol

data E'JustSymbol Source #

Enum of `Text`

Constructors

E'JustSymbol'Greater_Than_Or_Equal_To

    ">="

E'JustSymbol'Dollar

    "$"

Instances

Bounded E'JustSymbol Source # |
Methods minBound :: E'JustSymbol # maxBound :: E'JustSymbol #
Enum E'JustSymbol Source # |

Methods

succ :: E'JustSymbol -> E'JustSymbol #

pred :: E'JustSymbol -> E'JustSymbol #

toEnum :: Int -> E'JustSymbol #

fromEnum :: E'JustSymbol -> Int #

enumFrom :: E'JustSymbol -> [E'JustSymbol] #

enumFromThen :: E'JustSymbol -> E'JustSymbol -> [E'JustSymbol] #

enumFromTo :: E'JustSymbol -> E'JustSymbol -> [E'JustSymbol] #

enumFromThenTo :: E'JustSymbol -> E'JustSymbol -> E'JustSymbol -> [E'JustSymbol] #

Eq E'JustSymbol Source # |
Methods (==) :: E'JustSymbol -> E'JustSymbol -> Bool # (/=) :: E'JustSymbol -> E'JustSymbol -> Bool #
Ord E'JustSymbol Source # |
Methods compare :: E'JustSymbol -> E'JustSymbol -> Ordering # (<) :: E'JustSymbol -> E'JustSymbol -> Bool # (<=) :: E'JustSymbol -> E'JustSymbol -> Bool # (>) :: E'JustSymbol -> E'JustSymbol -> Bool # (>=) :: E'JustSymbol -> E'JustSymbol -> Bool # max :: E'JustSymbol -> E'JustSymbol -> E'JustSymbol # min :: E'JustSymbol -> E'JustSymbol -> E'JustSymbol #
Show E'JustSymbol Source # |
Methods showsPrec :: Int -> E'JustSymbol -> ShowS # show :: E'JustSymbol -> String # showList :: [E'JustSymbol] -> ShowS #
ToJSON E'JustSymbol Source # |
Methods toJSON :: E'JustSymbol -> Value # toEncoding :: E'JustSymbol -> Encoding # toJSONList :: [E'JustSymbol] -> Value # toEncodingList :: [E'JustSymbol] -> Encoding #
FromJSON E'JustSymbol Source # |
Methods parseJSON :: Value -> Parser E'JustSymbol # parseJSONList :: Value -> Parser [E'JustSymbol] #
ToHttpApiData E'JustSymbol Source # |
Methods toUrlPiece :: E'JustSymbol -> Text # toEncodedUrlPiece :: E'JustSymbol -> Builder # toHeader :: E'JustSymbol -> ByteString # toQueryParam :: E'JustSymbol -> Text #
FromHttpApiData E'JustSymbol Source # |
Methods parseUrlPiece :: Text -> Either Text E'JustSymbol # parseHeader :: ByteString -> Either Text E'JustSymbol # parseQueryParam :: Text -> Either Text E'JustSymbol #
MimeRender MimeMultipartFormData E'JustSymbol Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'JustSymbol -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'JustSymbol -> ByteString Source #

fromE'JustSymbol :: E'JustSymbol -> Text Source #

unwrap `E'JustSymbol` enum

toE'JustSymbol :: Text -> Either String E'JustSymbol Source #

parse `E'JustSymbol` enum

## E'Status

data E'Status Source #

Enum of `Text` . Order Status

Constructors

E'Status'Placed

    "placed"

E'Status'Approved

    "approved"

E'Status'Delivered

    "delivered"

Instances

Bounded E'Status Source # |
Methods minBound :: E'Status # maxBound :: E'Status #
Enum E'Status Source # |
Methods succ :: E'Status -> E'Status # pred :: E'Status -> E'Status # toEnum :: Int -> E'Status # fromEnum :: E'Status -> Int # enumFrom :: E'Status -> [E'Status] # enumFromThen :: E'Status -> E'Status -> [E'Status] # enumFromTo :: E'Status -> E'Status -> [E'Status] # enumFromThenTo :: E'Status -> E'Status -> E'Status -> [E'Status] #
Eq E'Status Source # |
Methods (==) :: E'Status -> E'Status -> Bool # (/=) :: E'Status -> E'Status -> Bool #
Ord E'Status Source # |
Methods compare :: E'Status -> E'Status -> Ordering # (<) :: E'Status -> E'Status -> Bool # (<=) :: E'Status -> E'Status -> Bool # (>) :: E'Status -> E'Status -> Bool # (>=) :: E'Status -> E'Status -> Bool # max :: E'Status -> E'Status -> E'Status # min :: E'Status -> E'Status -> E'Status #
Show E'Status Source # |
Methods showsPrec :: Int -> E'Status -> ShowS # show :: E'Status -> String # showList :: [E'Status] -> ShowS #
ToJSON E'Status Source # |
Methods toJSON :: E'Status -> Value # toEncoding :: E'Status -> Encoding # toJSONList :: [E'Status] -> Value # toEncodingList :: [E'Status] -> Encoding #
FromJSON E'Status Source # |
Methods parseJSON :: Value -> Parser E'Status # parseJSONList :: Value -> Parser [E'Status] #
ToHttpApiData E'Status Source # |
Methods toUrlPiece :: E'Status -> Text # toEncodedUrlPiece :: E'Status -> Builder # toHeader :: E'Status -> ByteString # toQueryParam :: E'Status -> Text #
FromHttpApiData E'Status Source # |
Methods parseUrlPiece :: Text -> Either Text E'Status # parseHeader :: ByteString -> Either Text E'Status # parseQueryParam :: Text -> Either Text E'Status #
MimeRender MimeMultipartFormData E'Status Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'Status -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Status -> ByteString Source #

fromE'Status :: E'Status -> Text Source #

unwrap `E'Status` enum

toE'Status :: Text -> Either String E'Status Source #

parse `E'Status` enum

## E'Status2

data E'Status2 Source #

Enum of `Text` . pet status in the store

Constructors

E'Status2'Available

    "available"

E'Status2'Pending

    "pending"

E'Status2'Sold

    "sold"

Instances

Bounded E'Status2 Source # |
Methods minBound :: E'Status2 # maxBound :: E'Status2 #
Enum E'Status2 Source # |
Methods succ :: E'Status2 -> E'Status2 # pred :: E'Status2 -> E'Status2 # toEnum :: Int -> E'Status2 # fromEnum :: E'Status2 -> Int # enumFrom :: E'Status2 -> [E'Status2] # enumFromThen :: E'Status2 -> E'Status2 -> [E'Status2] # enumFromTo :: E'Status2 -> E'Status2 -> [E'Status2] # enumFromThenTo :: E'Status2 -> E'Status2 -> E'Status2 -> [E'Status2] #
Eq E'Status2 Source # |
Methods (==) :: E'Status2 -> E'Status2 -> Bool # (/=) :: E'Status2 -> E'Status2 -> Bool #
Ord E'Status2 Source # |
Methods compare :: E'Status2 -> E'Status2 -> Ordering # (<) :: E'Status2 -> E'Status2 -> Bool # (<=) :: E'Status2 -> E'Status2 -> Bool # (>) :: E'Status2 -> E'Status2 -> Bool # (>=) :: E'Status2 -> E'Status2 -> Bool # max :: E'Status2 -> E'Status2 -> E'Status2 # min :: E'Status2 -> E'Status2 -> E'Status2 #
Show E'Status2 Source # |
Methods showsPrec :: Int -> E'Status2 -> ShowS # show :: E'Status2 -> String # showList :: [E'Status2] -> ShowS #
ToJSON E'Status2 Source # |
Methods toJSON :: E'Status2 -> Value # toEncoding :: E'Status2 -> Encoding # toJSONList :: [E'Status2] -> Value # toEncodingList :: [E'Status2] -> Encoding #
FromJSON E'Status2 Source # |
Methods parseJSON :: Value -> Parser E'Status2 # parseJSONList :: Value -> Parser [E'Status2] #
ToHttpApiData E'Status2 Source # |
Methods toUrlPiece :: E'Status2 -> Text # toEncodedUrlPiece :: E'Status2 -> Builder # toHeader :: E'Status2 -> ByteString # toQueryParam :: E'Status2 -> Text #
FromHttpApiData E'Status2 Source # |
Methods parseUrlPiece :: Text -> Either Text E'Status2 # parseHeader :: ByteString -> Either Text E'Status2 # parseQueryParam :: Text -> Either Text E'Status2 #
MimeRender MimeMultipartFormData E'Status2 Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> E'Status2 -> ByteString Source # mimeRender' :: MimeMultipartFormData -> E'Status2 -> ByteString Source #

fromE'Status2 :: E'Status2 -> Text Source #

unwrap `E'Status2` enum

toE'Status2 :: Text -> Either String E'Status2 Source #

parse `E'Status2` enum

## EnumClass

data EnumClass Source #

Enum of `Text`

Constructors

EnumClass'_abc

    "_abc"

EnumClass'_efg

    "-efg"

EnumClass'_xyz

    "(xyz)"

Instances

Bounded EnumClass Source # |
Methods minBound :: EnumClass # maxBound :: EnumClass #
Enum EnumClass Source # |
Methods succ :: EnumClass -> EnumClass # pred :: EnumClass -> EnumClass # toEnum :: Int -> EnumClass # fromEnum :: EnumClass -> Int # enumFrom :: EnumClass -> [EnumClass] # enumFromThen :: EnumClass -> EnumClass -> [EnumClass] # enumFromTo :: EnumClass -> EnumClass -> [EnumClass] # enumFromThenTo :: EnumClass -> EnumClass -> EnumClass -> [EnumClass] #
Eq EnumClass Source # |
Methods (==) :: EnumClass -> EnumClass -> Bool # (/=) :: EnumClass -> EnumClass -> Bool #
Ord EnumClass Source # |
Methods compare :: EnumClass -> EnumClass -> Ordering # (<) :: EnumClass -> EnumClass -> Bool # (<=) :: EnumClass -> EnumClass -> Bool # (>) :: EnumClass -> EnumClass -> Bool # (>=) :: EnumClass -> EnumClass -> Bool # max :: EnumClass -> EnumClass -> EnumClass # min :: EnumClass -> EnumClass -> EnumClass #
Show EnumClass Source # |
Methods showsPrec :: Int -> EnumClass -> ShowS # show :: EnumClass -> String # showList :: [EnumClass] -> ShowS #
ToJSON EnumClass Source # |
Methods toJSON :: EnumClass -> Value # toEncoding :: EnumClass -> Encoding # toJSONList :: [EnumClass] -> Value # toEncodingList :: [EnumClass] -> Encoding #
FromJSON EnumClass Source # |
Methods parseJSON :: Value -> Parser EnumClass # parseJSONList :: Value -> Parser [EnumClass] #
ToHttpApiData EnumClass Source # |
Methods toUrlPiece :: EnumClass -> Text # toEncodedUrlPiece :: EnumClass -> Builder # toHeader :: EnumClass -> ByteString # toQueryParam :: EnumClass -> Text #
FromHttpApiData EnumClass Source # |
Methods parseUrlPiece :: Text -> Either Text EnumClass # parseHeader :: ByteString -> Either Text EnumClass # parseQueryParam :: Text -> Either Text EnumClass #
MimeRender MimeMultipartFormData EnumClass Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> EnumClass -> ByteString Source # mimeRender' :: MimeMultipartFormData -> EnumClass -> ByteString Source #

fromEnumClass :: EnumClass -> Text Source #

unwrap `EnumClass` enum

toEnumClass :: Text -> Either String EnumClass Source #

parse `EnumClass` enum

## OuterEnum

data OuterEnum Source #

Enum of `Text`

Constructors

OuterEnum'Placed

    "placed"

OuterEnum'Approved

    "approved"

OuterEnum'Delivered

    "delivered"

Instances

Bounded OuterEnum Source # |
Methods minBound :: OuterEnum # maxBound :: OuterEnum #
Enum OuterEnum Source # |
Methods succ :: OuterEnum -> OuterEnum # pred :: OuterEnum -> OuterEnum # toEnum :: Int -> OuterEnum # fromEnum :: OuterEnum -> Int # enumFrom :: OuterEnum -> [OuterEnum] # enumFromThen :: OuterEnum -> OuterEnum -> [OuterEnum] # enumFromTo :: OuterEnum -> OuterEnum -> [OuterEnum] # enumFromThenTo :: OuterEnum -> OuterEnum -> OuterEnum -> [OuterEnum] #
Eq OuterEnum Source # |
Methods (==) :: OuterEnum -> OuterEnum -> Bool # (/=) :: OuterEnum -> OuterEnum -> Bool #
Ord OuterEnum Source # |
Methods compare :: OuterEnum -> OuterEnum -> Ordering # (<) :: OuterEnum -> OuterEnum -> Bool # (<=) :: OuterEnum -> OuterEnum -> Bool # (>) :: OuterEnum -> OuterEnum -> Bool # (>=) :: OuterEnum -> OuterEnum -> Bool # max :: OuterEnum -> OuterEnum -> OuterEnum # min :: OuterEnum -> OuterEnum -> OuterEnum #
Show OuterEnum Source # |
Methods showsPrec :: Int -> OuterEnum -> ShowS # show :: OuterEnum -> String # showList :: [OuterEnum] -> ShowS #
ToJSON OuterEnum Source # |
Methods toJSON :: OuterEnum -> Value # toEncoding :: OuterEnum -> Encoding # toJSONList :: [OuterEnum] -> Value # toEncodingList :: [OuterEnum] -> Encoding #
FromJSON OuterEnum Source # |
Methods parseJSON :: Value -> Parser OuterEnum # parseJSONList :: Value -> Parser [OuterEnum] #
ToHttpApiData OuterEnum Source # |
Methods toUrlPiece :: OuterEnum -> Text # toEncodedUrlPiece :: OuterEnum -> Builder # toHeader :: OuterEnum -> ByteString # toQueryParam :: OuterEnum -> Text #
FromHttpApiData OuterEnum Source # |
Methods parseUrlPiece :: Text -> Either Text OuterEnum # parseHeader :: ByteString -> Either Text OuterEnum # parseQueryParam :: Text -> Either Text OuterEnum #
MimeRender MimeMultipartFormData OuterEnum Source # |
Methods mimeRender :: Proxy * MimeMultipartFormData -> OuterEnum -> ByteString Source # mimeRender' :: MimeMultipartFormData -> OuterEnum -> ByteString Source #

fromOuterEnum :: OuterEnum -> Text Source #

unwrap `OuterEnum` enum

toOuterEnum :: Text -> Either String OuterEnum Source #

parse `OuterEnum` enum

# Auth Methods

## AuthApiKeyApiKey

data AuthApiKeyApiKey Source #

Constructors

AuthApiKeyApiKey Text | secret

Instances

Eq AuthApiKeyApiKey Source # |
Methods (==) :: AuthApiKeyApiKey -> AuthApiKeyApiKey -> Bool # (/=) :: AuthApiKeyApiKey -> AuthApiKeyApiKey -> Bool #
Show AuthApiKeyApiKey Source # |
Methods showsPrec :: Int -> AuthApiKeyApiKey -> ShowS # show :: AuthApiKeyApiKey -> String # showList :: [AuthApiKeyApiKey] -> ShowS #
AuthMethod AuthApiKeyApiKey Source # |
Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthApiKeyApiKey -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #

## AuthApiKeyApiKeyQuery

data AuthApiKeyApiKeyQuery Source #

Constructors

AuthApiKeyApiKeyQuery Text | secret

Instances

Eq AuthApiKeyApiKeyQuery Source # |
Methods (==) :: AuthApiKeyApiKeyQuery -> AuthApiKeyApiKeyQuery -> Bool # (/=) :: AuthApiKeyApiKeyQuery -> AuthApiKeyApiKeyQuery -> Bool #
Show AuthApiKeyApiKeyQuery Source # |
Methods showsPrec :: Int -> AuthApiKeyApiKeyQuery -> ShowS # show :: AuthApiKeyApiKeyQuery -> String # showList :: [AuthApiKeyApiKeyQuery] -> ShowS #
AuthMethod AuthApiKeyApiKeyQuery Source # |
Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthApiKeyApiKeyQuery -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #

## AuthBasicHttpBasicTest

data AuthBasicHttpBasicTest Source #

Constructors

AuthBasicHttpBasicTest ByteString ByteString | username password

Instances

Eq AuthBasicHttpBasicTest Source # |
Methods (==) :: AuthBasicHttpBasicTest -> AuthBasicHttpBasicTest -> Bool # (/=) :: AuthBasicHttpBasicTest -> AuthBasicHttpBasicTest -> Bool #
Show AuthBasicHttpBasicTest Source # |
Methods showsPrec :: Int -> AuthBasicHttpBasicTest -> ShowS # show :: AuthBasicHttpBasicTest -> String # showList :: [AuthBasicHttpBasicTest] -> ShowS #
AuthMethod AuthBasicHttpBasicTest Source # |
Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthBasicHttpBasicTest -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #

## AuthOAuthPetstoreAuth

data AuthOAuthPetstoreAuth Source #

Constructors

AuthOAuthPetstoreAuth Text | secret

Instances

Eq AuthOAuthPetstoreAuth Source # |
Methods (==) :: AuthOAuthPetstoreAuth -> AuthOAuthPetstoreAuth -> Bool # (/=) :: AuthOAuthPetstoreAuth -> AuthOAuthPetstoreAuth -> Bool #
Show AuthOAuthPetstoreAuth Source # |
Methods showsPrec :: Int -> AuthOAuthPetstoreAuth -> ShowS # show :: AuthOAuthPetstoreAuth -> String # showList :: [AuthOAuthPetstoreAuth] -> ShowS #
AuthMethod AuthOAuthPetstoreAuth Source # |
Methods applyAuthMethod :: OpenAPIPetstoreConfig -> AuthOAuthPetstoreAuth -> OpenAPIPetstoreRequest req contentType res accept -> IO (OpenAPIPetstoreRequest req contentType res accept) Source #